
-- If you aren't familiar with lua, the \n in some of these lines just means start a new line, so things like tooltips look nicer.

MageCandyLocalization = {}


MageCandydeDE = {} -- German
MageCandyenGB = {} -- British English
MageCandyesES = {} -- Spanish
MageCandyesMX = {} -- Spanish(Mexico)
MageCandyfrFR = {} -- French
MageCandykoKR = {} -- Korean
MageCandyruRU = {} -- Russian
MageCandyzhCN = {} -- Simplified Chinese
MageCandyzhTW = {} -- Traditional Chinese


MageCandyenUS = {

["UNKNOWN"] = "Unknown",
["STOLE"] = "Stole:",
["PERIODIC"] = "(Periodic)",
["MELEE_SWING"] = "Melee Swing",
["AUTO_SHOT"] = "Auto Shot",
["POLYMORPH_BROKEN_MESSAGE"] = "Polymorph broken by",
["POLYMORPH_EXPIRED_MESSAGE"] = "Polymorph expired on",
["POLYMORPH_APPLIED_MESSAGE"] = "Polymorph casted on",
["POLYMORPH_TIMER"] = "Polymorph Timer",
["WITH"] = "with",
["SPELLSTEAL_TARGET"] = "Spellsteal Target", 
["SPELLSTEAL_FOCUS"] = "Spellsteal Focus", 
["STOLEN_SPELLS"] = "Stolen Spells",
["RELOADUI"] = "Mage Candy Needs To Reload \nThe UI To Finish Making Changes.",

--Mana Bar
["MANA_BAR"] = "Mana Bar",
["ENABLE_MANA_BAR"] = "Enable Mana Bar",
["ENABLE_HEALTH_BAR"] = "Enable Health Bar",
["MANA_BAR_MARKER_SHOW"] = "Show Mana Bar Marker",
["HEALTH_BAR_PERCENT"] = "Show Health Bar Text As A Percent",
["HEALTH_BAR_NUMBER"] = "Show Health Bar Text As A Number",
["MANA_BAR_PERCENT"] = "Show Mana Bar Text As A Percent",
["MANA_BAR_NUMBER"] = "Show Mana Bar Text As A Number",
["MANA_BAR_WIDTH"] = "Width",
["MANA_BAR_HEIGHT"] = "Mana Bar Height",
["HEALTH_BAR_HEIGHT"] = "Health Bar Height",
["MANA_BAR_SCALE"] = "Scale",
["MANA_BAR_RESERVE_SHOW"] = "Show Mana Bar Reserve Marker",
["MANA_BAR_RESERVE_SHOW_TOOLTIP"] = "This value also lets the mana bar know how much mana \nyou want to put aside for other spells, if you plan \non running it low. (Like spamming spellsteal in PVP)\n\nThe mana bar will flash red when below this value.",
["HEALTH_BAR_MAX"] = "Show Maximum Health",
["MANA_BAR_MAX"] = "Show Maximum Mana",
["MANA_BAR_TEXT_HEIGHT"] = "Mana Bar Text Size",
["HEALTH_BAR_TEXT_HEIGHT"] = "Health Bar Text Size",
["LOW_MANA"] = "Low Mana!",
["CALCULATOR_SPELL_INPUT"] = "Calculator Spell ",
["CALCULATOR_SPELL_INPUT_TOOLTIP"] = "The mana bar will display how many times you can cast \nthis spell without going below your reserve mana amount. \n\nLeave this field blank if you don't want anything tracked.",


--Notifications--
["LAZY_MAGE"] = "Lazy Mage",
["CAUTERIZE_TEXT"] = "Cauterize!",
["MISSING"] = "Missing",
["CHARGES"] = "Charges",
["NOT_SUMMONED"] = "Not Summoned",
["DEAD"] = "Dead",

--Timer Labels--
["ARCANE_CHARGE"] = "Arcane Charge",
["ARCANE_MISSILES"] = "Arcane Missiles!",
["ARCANE_POWER"] = "Arcane Power",
["ICY_VEINS"] = "Icy Veins",
["FINGERS_OF_FROST"] = "Fingers Of Frost!",
["BRAIN_FREEZE"] = "Brain Freeze!",
["PYROBLAST"] = "Pyroblast!",

--Options Menu--
["SHOW_ALL_FRAMES"] = "Show All Frames",
["LOCK_FRAMES"] = "Lock Frames",
["OKAY"] = "Okay",
["CANCEL"] = "Cancel",
["DEFAULTS"] = "Defaults",
["APPLY"] = "Apply",
["TEST"] = "Test",
["DEFAULTS_WARNING"] = "Warning!!! This Will Reset All \nMage Candy Settings Back To The \nDefaults. Are You Sure?",

--Notifications Menu--
["NOTIFICATIONS"] = "Notifications",
["CAUTERIZE_NOTIFICATION_SHOW"] = "Enable Cauterize Notification",
["CAUTERIZE_NOTIFICATION_SCALE"] = "Cauterize Notification Scale",
["LAZY_MAGE_SHOW"] = "Enable Lazy Mage Notifications (Missing Buffs Etc) <- Doesn't Show In Combat",
["LAZY_MAGE_SCALE"] = "Lazy Mage Scale",
["LAZY_MAGE_NOT_FULL_CHARGES_SHOW"] = "Show Notification When Mana Gem Is Missing Charges (Out Of Combat Only)",

--Polymorph Menu--
["POLYMORPH_MONITOR"] = "Polymorph Monitor",
["ENABLE_POLYMORPH_MONITOR"] = "Enable Polymorph Monitor",
["SHOW_POLYMORPH_TIMER"] = "Show Polymorph Timer",
["POLYMORPH_APPLY_SHOW"] = "Display Notification When Polymorph Is Applied",
["POLYMORPH_REMOVE_SHOW"] = "Display Notification When Polymorph Is Removed",
["POLYMORPH_TIMER_SCALE"] = "Polymorph Timer Scale",
["POLYMORPH_ANNOUNCE_SHOW"] = "Announce Enabled Notifications When In A Group",

--Spellsteal Menu--
["SPELLSTEAL_MONITOR"] = "Spellsteal Monitor",
["PLAY_ANIMATION"] = "Play Animation",
["SPELLSTEAL_MESSAGE_SHOW"] = "Show Spellsteal Message",
["SPELLSTEAL_MONITOR_BACKGROUND_SHOW"] = "Show Spellsteal Monitor Frame Backgrounds",
["SPELLSTEAL_MONITOR_HEADER_SHOW"] = "Show Spellsteal Monitor Frame Headers",
["SPELLSTEAL_MONITOR_FLIP_BUFFS"] = "Start Buffs On Bottom",
["SPELLSTEAL_MONITOR_ENABLE"] = "Enable Spellsteal Monitor",
["SPELLSTEAL_NOTIFICATION_SHOW"] = "Show Spellsteal Notification (Animation)",
["SPELLSTEAL_MONITOR_SHOW_TARGET"] = "Show Target Spellsteal Frame",
["SPELLSTEAL_MONITOR_SHOW_FOCUS"] = "Show Focus Spellsteal Frame",
["SPELLSTEAL_MONITOR_SHOW_STOLEN"] = "Show Stolen Spells Frame",
["SPELLSTEAL_MONITOR_TARGET_SCALE"] = "Target Spellsteal Frame Scale",
["SPELLSTEAL_MONITOR_FOCUS_SCALE"] = "Focus Spellsteal Frame Scale",
["SPELLSTEAL_MONITOR_STOLEN_SCALE"] = "Stolen Spells Frame Scale",
["SPELLSTEAL_MONITOR_NOTIFICATION_SCALE"] = "Spellsteal Notification Scale (Animated Icon)",

--Timers Menu--
["TIMERS"] = "Timers",
["ARCANE_CHARGE_TIMER_SHOW"] = "Arcane Charge Timer",
["ARCANE_CHARGE_TIMER_SCALE"] = "Arcane Charge Timer Scale",
["ARCANE_MISSILES_TIMER_SHOW"] = "Arcane Missiles Timer",
["ARCANE_MISSILES_TIMER_SCALE"] = "Arcane Missiles Timer Scale",
["ARCANE_POWER_TIMER_SHOW"] = "Arcane Power Timer",
["ARCANE_POWER_TIMER_SCALE"] = "Arcane Power Timer Scale",
["FINGERS_OF_FROST_TIMER_SHOW"] = "Fingers Of Frost Timer",
["FINGERS_OF_FROST_TIMER_SCALE"] = "Fingers Of Frost Timer Scale",
["BRAIN_FREEZE_TIMER_SHOW"] = "Brain Freeze Timer",
["BRAIN_FREEZE_TIMER_SCALE"] = "Brain Freeze Timer Scale",
["ICY_VEINS_TIMER_SHOW"] = "Icy Veins Timer",
["ICY_VEINS_TIMER_SCALE"] = "Icy Veins Timer Scale",
["FROZEN_ORB_TIMER_SHOW"] = "Frozen Orb Timer",
["FROZEN_ORB_TIMER_SCALE"] = "Frozen Orb Timer Scale",
["RING_OF_FROST_TIMER_SHOW"] = "Ring Of Frost Timer",
["RING_OF_FROST_TIMER_SCALE"] = "Ring Of Frost Timer Scale",
["PYROBLAST_TIMER_SHOW"] = "Pyroblast Timer",
["PYROBLAST_TIMER_SCALE"] = "Pyroblast Timer Scale",
["MIRROR_IMAGE_TIMER_SHOW"] = "Mirror Image Timer",
["MIRROR_IMAGE_TIMER_SCALE"] = "Mirror Image Timer Scale",


}

setmetatable(MageCandydeDE, MageCandyLocalization)
setmetatable(MageCandyenGB, MageCandyLocalization)
setmetatable(MageCandyesES, MageCandyLocalization)
setmetatable(MageCandyesMX , MageCandyLocalization)
setmetatable(MageCandyfrFR, MageCandyLocalization)
setmetatable(MageCandykoKR, MageCandyLocalization)
setmetatable(MageCandyruRU, MageCandyLocalization)
setmetatable(MageCandyzhCN, MageCandyLocalization)
setmetatable(MageCandyzhTW, MageCandyLocalization)

MageCandyLocalization.__index = MageCandyenUS