_, class = UnitClass("player")
if class == "MAGE" then

MCPolyList = {
[118] = true, -- Sheep
[28272] = true, -- Pig
[61305] = true, -- Cat
[61721] = true, -- Rabbit
[61780] = true, -- Turkey
[28271] = true, -- Turtle
}

MCpolydelay, MCpolyduration, MCnewpolyguid, MCpolyguid, MCpolyname, MCpolyapplied, MCpolybroken = 0, 0, nil, nil, nil, false, false
MCpolyculprit, MCpolyspell, MCpolyculpritspell, MCpolyremove, MCpolybrokenevent = nil, nil, nil, false, nil

function MageCandy_PolymorphUpdate(elapsed)

if MageCandy_Options.enablepolymorphmonitor ~= 0 and MCtimerbypass == 0 then

if MCpolydelay > 0 then
MCpolydelay = MCpolydelay - elapsed
if MCpolydelay <= 0 and MCpolyapplied == true then
MCpolydelay = 0
end
end

if MCpolyduration > 0 then
MageCandy_Show(MCPolymorphMonitor, MageCandy_Options.show.mcpolymorphmonitor)
MCpolyduration = MCpolyduration - elapsed
MCPolymorphMonitorBar:SetValue(MCpolyduration)
if MCpolyduration > 5 then
MCPolymorphMonitorBarText:SetTextColor(1, 1, 1)
else
MCPolymorphMonitorBarText:SetTextColor(1, 0, 0)
end
MCPolymorphMonitorBarText:SetText(string.sub(MCpolyduration, 1, 4))
if MCpolyduration <= 0 then 
MCpolyduration = 0
MCpolyremove = true
MCPolymorphMonitorBarText:SetText(0)
MCPolymorphMonitorBar:SetValue(0)
MCPolymorphMonitor:Hide()
end
end

if MCpolyapplied == true and MCpolyduration == 0 and MCpolyremove == true then
MageCandy_PolyCheck()
MCPolymorphMonitor:Hide()
end

else
MCpolyduration = 0
MCpolydelay = 0
MCpolyremove = false
MCpolyapplied = false
MCpolyguid = nil
MCnewpolyguid = nil
MCpolyculprit = nil
MCpolyculpritspell = nil
MCpolyname = nil
MCpolybroken = false
MCpolyspell = nil
MCpolybrokenevent = nil

end

end

function MageCandy_PolyHandler(event, sguid, sname, tguid, tname, id, spellname)
MCpolyspell = GetSpellInfo(id)
if tname == nil then tname = MageCandyLocal["Unknown"] end
local name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid 

if event == "SPELL_AURA_APPLIED" then
if MCpolyduration > 0 or MCnewpolyguid ~= nil then -- Notifies of expiration if you sheep a mob when one is already sheeped, resulting in 
MageCandy_PolymorphNotify("expired", MCpolyname)   -- an application first and a expiration right after. Also hides the old timer until the new one is calculated.
MCPolymorphMonitor:Hide()
MCpolyduration = 0
end
MCnewpolyguid = tguid
MCpolyname = tname
MCpolyapplied = true
if MageCandy_Options.show.polymorphapplynotification == 1 then
print(MageCandyLocal["POLYMORPH_APPLIED_MESSAGE"].." "..MCpolyname)
end
elseif event == "SPELL_AURA_REFRESH" and tguid == MCpolyguid then
MCpolyguid = nil
MCnewpolyguid = tguid
MCpolyname = tname
MCpolyapplied = true
elseif event == "SPELL_AURA_REMOVED" and (tguid == MCpolyguid or tguid == MCnewpolyguid) then
if MCpolyapplied == true then
if (MCnewpolyguid == nil or MCnewpolyguid == tguid) then
MCpolyduration = 0
MCpolyremove = true
MCpolydelay = 0.1
MCPolymorphMonitor:Hide()
end
end
end

if MCnewpolyguid ~= nil then
if UnitGUID("target") == MCnewpolyguid then
name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("target", MCpolyspell)
if unitcaster == "player" then
name = UnitName("target")
MCpolyguid = MCnewpolyguid
MCnewpolyguid = nil
MCpolyduration = expirationtime - GetTime()
MCPolymorphMonitorIcon:SetTexture(icon)
MCPolymorphMonitorText:SetText(name)
MCPolymorphMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
elseif UnitGUID("focus") == MCnewpolyguid then
name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("focus", MCpolyspell)
if unitcaster == "player" then
name = UnitName("focus")
MCpolyguid = MCnewpolyguid
MCnewpolyguid = nil
MCpolyduration = expirationtime - GetTime()
MCPolymorphMonitorIcon:SetTexture(icon)
MCPolymorphMonitorText:SetText(name)
MCPolymorphMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
elseif UnitGUID("mouseover") == MCnewpolyguid then
name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("mouseover", MCpolyspell)
if unitcaster == "player" then
name = UnitName("mouseover")
MCpolyguid = MCnewpolyguid
MCnewpolyguid = nil
MCpolyduration = expirationtime - GetTime()
MCPolymorphMonitorIcon:SetTexture(icon)
MCPolymorphMonitorText:SetText(name)
MCPolymorphMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
end
end

end

function MageCandy_PolyCheck()

-- Conditionals for Polymorph removal 
if MCpolyduration == 0 and MCpolyapplied == true then
if MCpolybroken == true then -- Polymorph was broken either by damage or dispel
MCpolyremove = false
MCpolydelay = 0
MCpolybroken = false
MCpolyapplied = false
MCpolyguid = nil
MCPolymorphMonitor:Hide()
MageCandy_PolymorphNotify("broken")
elseif MCpolydelay == 0 then -- Polymorph has expired on its own
MCpolyremove = false
MCpolyapplied = false
MCpolyguid = nil
MCPolymorphMonitor:Hide()
MageCandy_PolymorphNotify("expired")
end
end

end

function MageCandy_PolymorphNotify(result, oldpolyname)
local announce
if MageCandy_Options.show.polymorphannounce == 1 and IsInGroup() then
announce = SendChatMessage
else
announce = print
end
if MageCandy_Options.show.polymorphremovenotification == 1 then
if result == "broken" then
CombatText_AddMessage(MageCandyLocal["POLYMORPH_BROKEN_MESSAGE"].." "..MCpolyculprit, CombatText_StandardScroll, 0, 0.7, 1, "sticky", nil)
if MCpolybrokenevent == "SWING_DAMAGE" then
announce(MageCandyLocal["POLYMORPH_BROKEN_MESSAGE"].." "..MCpolyculprit.." "..MageCandyLocal["WITH"].." "..MageCandyLocal["MELEE_SWING"])
elseif MCpolybrokenevent == "RANGE_DAMAGE" then
announce(MageCandyLocal["POLYMORPH_BROKEN_MESSAGE"].." "..MCpolyculprit.." "..MageCandyLocal["WITH"].." "..MageCandyLocal["AUTO_SHOT"])
elseif MCpolybrokenevent == "SPELL_DAMAGE" then
announce(MageCandyLocal["POLYMORPH_BROKEN_MESSAGE"].." "..MCpolyculprit.." "..MageCandyLocal["WITH"].." "..MCpolyculpritspell)
elseif MCpolybrokenevent == "SPELL_PERIODIC_DAMAGE" then
announce(MageCandyLocal["POLYMORPH_BROKEN_MESSAGE"].." "..MCpolyculprit.." "..MageCandyLocal["WITH"].." "..MCpolyculpritspell.." "..MageCandyLocal["PERIODIC"])
end
elseif result == "expired" then
if oldpolyname then
CombatText_AddMessage(MageCandyLocal["POLYMORPH_EXPIRED_MESSAGE"].." "..oldpolyname, CombatText_StandardScroll, 0, 0.7, 1, "sticky", nil)
announce(MageCandyLocal["POLYMORPH_EXPIRED_MESSAGE"].." "..oldpolyname)
else
CombatText_AddMessage(MageCandyLocal["POLYMORPH_EXPIRED_MESSAGE"].." "..MCpolyname, CombatText_StandardScroll, 0, 0.7, 1, "sticky", nil)
announce(MageCandyLocal["POLYMORPH_EXPIRED_MESSAGE"].." "..MCpolyname)
end
end
end

MCpolyculprit = nil
MCpolyculpritspell = nil
end



end