_, class = UnitClass("player")
if class == "MAGE" then

MCAuraEvents = {
["SPELL_AURA_APPLIED"] = true,
["SPELL_AURA_REMOVED"] = true,
["SPELL_AURA_APPLIED_DOSE"] = true,
["SPELL_AURA_REMOVED_DOSE"] = true,
["SPELL_AURA_REFRESH"] = true,
}

MCDamageEvents = {
["SPELL_DAMAGE"] = true,
["SWING_DAMAGE"] = true,
["RANGE_DAMAGE"] = true,
["SPELL_PERIODIC_DAMAGE"] = true,
}

-- Interface\Icons\Spell_Arcane_Arcane03

MCTimerList = {
[57761] = true,
[44544] = true,
[48107] = true,
[48108] = true,
[12042] = true,
[36032] = true,
[79683] = true,
[12472] = true,
[84714] = true,
[55342] = true,
[113724] = true,
[116257] = true,
[44457] = true,
[114923] = true,
[112948] = true,

}

MCmanabarflash = false
local changecolor = 0

--Localization------------------------------------------

local locale = GetLocale()
if locale == "enUS" then
MageCandyLocal = MageCandyenUS
elseif locale == "deDE" then -- German
MageCandyLocal = MageCandydeDE
elseif locale == "enGB" then -- British English
MageCandyLocal = MageCandyenGB
elseif locale == "esES" then -- Spanish
MageCandyLocal = MageCandyesES
elseif locale == "esMX" then -- Spanish(Mexixo)
MageCandyLocal = MageCandyesMX
elseif locale == "frFR" then -- French
MageCandyLocal = MageCandyfrFR
elseif locale == "koKR" then -- Korean
MageCandyLocal = MageCandykoKR
elseif locale == "ruRU" then -- Russian
MageCandyLocal = MageCandyruRU
elseif locale == "zhCN" then -- Simplified Chinese
MageCandyLocal = MageCandyzhCN
elseif locale == "zhTW" then -- Traditional Chinese
MageCandyLocal = MageCandyzhTW
else
print("Localization Not Found")
MageCandyLocal = MageCandyenUS
end

----------------------------------------------------------

function MageCandy_MCTimerOnUpdate(self, elapsed)
if MCmanabarflash == true then
changecolor = changecolor + elapsed
if changecolor >= 1 then
changecolor = 0
MCManaBar:SetStatusBarColor(0.8, 0, 0)
elseif changecolor > 0.5 and changecolor < 1 then
MCManaBar:SetStatusBarColor(0, 0, 1)
elseif changecolor <= 0.5 then
MCManaBar:SetStatusBarColor(0.8, 0, 0)
end
else
changecolor = 0
MCManaBar:SetStatusBarColor(0, 0, 1)
end
MageCandy_NotificationsHandler(elapsed)

MageCandy_UpdateTimers(elapsed)

if MCtimerbypass > 0 then
MCtimerbypass = MCtimerbypass - elapsed
MCPolymorphMonitorBarText:SetText(string.sub(MCtimerbypass, 1, 4))
MCPolymorphMonitorBar:SetValue(MCtimerbypass)
if MCtimerbypass <= 0 then
MageCandy_LockFrames()
MCtimerbypass = 0
MCPolymorphMonitor:Hide()
MCPolymorphMonitorBar:SetValue(0)
MCPolymorphMonitorBarText:SetText(0)
MageCandy_HideFrames()
MageCandy_UpdateUI()
end
end

if MCSpellStealNotification:IsShown() and MCtimerbypass == 0 then
MageCandy_MCSpellStealNotificationUpdate(elapsed)
end

MageCandy_PolymorphUpdate(elapsed)

end


MageCandyEventFrame = CreateFrame("Frame", "MageCandyEventFrame", UIParent)
MageCandyEventFrame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
MageCandyEventFrame:RegisterEvent("PLAYER_TARGET_CHANGED")
MageCandyEventFrame:RegisterEvent("PLAYER_FOCUS_CHANGED")
MageCandyEventFrame:RegisterEvent("UPDATE_MOUSEOVER_UNIT")
MageCandyEventFrame:RegisterEvent("ADDON_LOADED")
MageCandyEventFrame:RegisterEvent("UNIT_AURA")
MageCandyEventFrame:RegisterEvent("SPELL_AURA_APPLIED")
MageCandyEventFrame:RegisterEvent("SPELL_AURA_REMOVED")
MageCandyEventFrame:RegisterEvent("SPELL_AURA_APPLIED_DOSE")
MageCandyEventFrame:RegisterEvent("SPELL_AURA_REMOVED_DOSE")
MageCandyEventFrame:RegisterEvent("SPELL_AURA_BROKEN")
MageCandyEventFrame:RegisterEvent("SPELL_AURA_BROKEN_SPELL")
MageCandyEventFrame:RegisterEvent("COMPANION_UPDATE")
MageCandyEventFrame:RegisterEvent("UNIT_POWER_FREQUENT")
MageCandyEventFrame:RegisterEvent("UNIT_HEALTH_FREQUENT")
MageCandyEventFrame:RegisterEvent("PLAYER_ALIVE")


function MageCandy_Round(number, decimals)
return (("%%.%df"):format(decimals)):format(number)
end


function MageCandy_OnEvent(self, event, ...)
local arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16 = ...
if event == "ADDON_LOADED" and arg1 == "MageCandy" then
MageCandy_Check()
MageCandy_CreateUI()
MageCandy_CreateOptionsMenu()
MageCandy_Cancel() -- applies scaling & saved text into input boxes

print("|cFF00DFFFMage Candy Slash Commands:\n/mc => Options Menu \n/magecandy => Options Menu|r")
MageCandy_TimerHandler()
end
if event == "PLAYER_ALIVE" then
MageCandy_UpdateUI()
end
if MCtimerbypass == 0 then
if event == "PLAYER_TARGET_CHANGED" then
if MageCandy_Options.show.mctargetspellstealframe ~= 0 and MageCandy_Options.enablespellstealmonitor ~= 0 then
MageCandy_UpdateSpellStealAuras("target")
end

if MCnewpolyguid ~= nil and MageCandy_Options.enablepolymorphmonitor ~= 0 then
if UnitGUID("target") == MCnewpolyguid then
local name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("target", MCpolyspell)
if unitcaster == "player" then
name = UnitName("target")
MCpolyguid = MCnewpolyguid
MCnewpolyguid = nil
MCpolyduration = expirationtime - GetTime()
MCPolymorphMonitorIcon:SetTexture(icon)
MCPolymorphMonitorText:SetText(name)
MCPolymorphMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
end
end

end

if event == "UNIT_POWER_FREQUENT" and arg1 == "player" then
if arg2 == "MANA" then
if MageCandy_Options.enablemanabar == 1 then
MageCandy_ManaBarUpdate()
end
end
end

if event == "UNIT_HEALTH_FREQUENT" and arg1 == "player" then
if MageCandy_Options.enablehealthbar == 1 then
MageCandy_HealthBarUpdate()
end
end

if event == "PLAYER_FOCUS_CHANGED" then
if MageCandy_Options.show.mcfocusspellstealframe ~= 0 and MageCandy_Options.enablespellstealmonitor ~= 0 then
MageCandy_UpdateSpellStealAuras("focus")
end

if MCnewpolyguid ~= nil and MageCandy_Options.enablepolymorphmonitor ~= 0 then
if UnitGUID("focus") == MCnewpolyguid then
local name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("focus", MCpolyspell)
if unitcaster == "player" then
name = UnitName("focus")
MCpolyguid = MCnewpolyguid
MCnewpolyguid = nil
MCpolyduration = expirationtime - GetTime()
MCPolymorphMonitorIcon:SetTexture(icon)
MCPolymorphMonitorText:SetText(name)
MCPolymorphMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
end
end

end

if event == "UPDATE_MOUSEOVER_UNIT" then

if MCnewpolyguid ~= nil and MageCandy_Options.enablepolymorphmonitor ~= 0 then
if UnitGUID("mouseover") == MCnewpolyguid then
local name, rank, icon, count, debufftype, duration, expirationtime, unitcaster, isstealable, shouldconsolidate, spellid = UnitDebuff("mouseover", MCpolyspell)
if unitcaster == "player" then
name = UnitName("mouseover")
MCpolyguid = MCnewpolyguid
MCnewpolyguid = nil
MCpolyduration = expirationtime - GetTime()
MCPolymorphMonitorIcon:SetTexture(icon)
MCPolymorphMonitorText:SetText(name)
MCPolymorphMonitorBar:SetMinMaxValues(0, expirationtime - GetTime())
end
end
end

end

if event == "UNIT_AURA" then
if arg1 == "target" or arg1 == "focus" or arg1 == "player" then
if arg1 == "player" then
MageCandy_TimerHandler()
end

if #MCStolenSpells ~= 0 and #MCStolenSpells ~= nil and MCstealing ~= nil and (arg1 == "player" and MageCandy_Options.show.mcstolenspellsframe ~= 0) and MageCandy_Options.enablespellstealmonitor ~= 0 then
MageCandy_UpdateSpellStealAuras(arg1)
elseif ((arg1 == "target" and MageCandy_Options.show.mctargetspellstealframe ~= 0) or (arg1 == "focus" and MageCandy_Options.show.mcfocusspellstealframe ~= 0)) and MageCandy_Options.enablespellstealmonitor ~= 0 then
MageCandy_UpdateSpellStealAuras(arg1)
elseif arg1 == "player" then
MageCandy_UpdateStolenInfo(arg1)
end
end
end

if event == "COMBAT_LOG_EVENT_UNFILTERED" then

if arg4 == UnitGUID("player") and arg12 == MCSpellID["MCCauterizeNotification"] then
if MageCandy_Options.show.mccauterizenotification == 1 and arg2 == "SPELL_AURA_APPLIED" then
MCCauterizeNotification:Show()
elseif arg2 == "SPELL_AURA_REMOVED" then
MCCauterizeNotification:Hide()
MCCauterizeNotification:SetScale(MageCandy_Options.scale.mccauterizenotification)
MCcauterize = 1
end
end

if arg2 == "SPELL_CAST_SUCCESS" and arg4 == UnitGUID("player") then
if arg12 == MCSpellID["MCMirrorImageTimer"] then
if MageCandy_Options.show.mcmirrorimagetimer == 1 then
MageCandy_NewTime("MCMirrorImageTimer", 30, true)
end
elseif arg12 == MCSpellID["MCFrozenOrbTimer"] then
if MageCandy_Options.show.mcfrozenorbtimer == 1 then
MageCandy_NewTime("MCFrozenOrbTimer", 10, true)
end
elseif arg12 == MCSpellID["MCRingOfFrostTimer"] then
if MageCandy_Options.show.mcringoffrosttimer == 1 then
MageCandy_NewTime("MCRingOfFrostTimer", 10, true)
end
end
end


if arg2 == "SPELL_STOLEN" and arg4 == UnitGUID("player") and MageCandy_Options.enablespellstealmonitor ~= 0 then
MageCandy_SpellStolen(arg15, arg16)

elseif MCAuraEvents[arg2] then 

if arg8 == UnitGUID("player") and MageCandy_Options.enablespellstealmonitor ~= 0 and MageCandy_Options.show.mcstolenspellsframe ~= 0 then
MageCandy_UpdateStolenSpells(arg2, arg13, GetTime())
end
if MCPolyList[arg12] and arg4 == UnitGUID("player") and MageCandy_Options.enablepolymorphmonitor ~= 0 then
MageCandy_PolyHandler(arg2, arg4, arg5, arg8, arg9, arg12, arg13)
end
end

if MCDamageEvents[arg2] and (arg8 == MCpolyguid or arg8 == MCnewpolyguid) and MCpolyapplied == true and MCpolybroken == false and MageCandy_Options.enablepolymorphmonitor ~= 0 then
MCpolybrokenevent = arg2
MCpolybroken = true
MCpolyduration = 0
MCpolyremove = true
if arg5 == nil then arg5 = MageCandyLocal["Unknown"] end
if arg13 == nil then arg13 = MageCandyLocal["Unknown"] end
MCpolyculprit = arg5
MCpolyculpritspell = arg13
end

end
end
if UnitAffectingCombat("player") == 1 then
MageCandy_LockFrames()
else
MageCandy_UnlockFrames()
end
end



function MageCandy_ShortNumber(num)
if num == 0 then
return num
elseif num > 0 and num < 0.1 then
if string.sub(num, 5, 5) ~= "" and string.sub(num, 5, 5) ~= nil then
return string.sub(num,4, 4).."."..string.sub(num, 5, 5)
else
return string.sub(num,4, 4)
end
elseif num >= 0 and num < 1 then
if string.sub(num, 5, 5) ~= nil and string.sub(num, 5, 5) ~= "" then
return string.sub(num, 3, 4).."."..string.sub(num, 5, 5)
elseif num == 0.1 or num == 0.2 or num == 0.3 or num == 0.4 or num == 0.5 or num == 0.6 or num == 0.7
or num == 0.8 or num == 0.9 then
num = string.sub(num, 3, 3).."0"
return num
else
return string.sub(num, 3, 4)
end
elseif num == 1 then
return 100
elseif num > 999 then
num = string.sub(num, 1, string.len(num) - 3)..","..string.sub(num, string.len(num) - 2, string.len(num))
return num
elseif num == nil then
return 0
else 
return num
end
end

function MageCandy_CondenseNumber(num)
local length = string.len(num)
if num < 1000 then
return num
elseif num >= 1000 and num < 1000000 then
num = string.sub(num, 1, length - 3).."k"
return num
elseif num >= 1000000 then
num = string.sub(num, 1, length - 6).."m"
return num
end
end

hooksecurefunc("BuffFrame_OnEvent", MageCandy_TimerHandler)

-- And finally, set the event handler script
MageCandyEventFrame:SetScript("OnEvent", MageCandy_OnEvent)
end