_, class = UnitClass("player")
if class == "MAGE" then

local MenuButtons = 0

function MageCandy_CreateOptionsMenu()
CreateFrame("Frame", "MCOptionsFrame", UIParent)
MCOptionsFrame:SetFrameStrata("HIGH")
MCOptionsFrame:SetFrameLevel(7)
MCOptionsFrame:SetPoint("CENTER")
MCOptionsFrame:SetWidth(845) --625
MCOptionsFrame:SetHeight(670)
MCOptionsFrame:Hide()
CreateFrame("Frame", "$parentHeaderFrame", MCOptionsFrame)
MCOptionsFrameHeaderFrame:SetHeight(70)
MCOptionsFrameHeaderFrame:SetWidth(350)
MCOptionsFrameHeaderFrame:SetPoint("CENTER", MCOptionsFrame, "TOP", 0, -18)
MCOptionsFrameHeaderFrame:CreateTexture("$parentBackground")
MCOptionsFrameHeaderFrameBackground:SetAllPoints()
MCOptionsFrameHeaderFrameBackground:SetTexture("Interface\\DialogFrame\\UI-DialogBox-Header")
MCOptionsFrameHeaderFrame:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MCOptionsFrameHeaderFrameText:SetTextColor(0, 0.7, 1)
MCOptionsFrameHeaderFrameText:SetText("Mage Candy")
MCOptionsFrameHeaderFrameText:SetPoint("CENTER", MCOptionsFrameHeaderFrame, "CENTER", 0, 13)
MCOptionsFrame:CreateTexture("$parentBackground")
MCOptionsFrameBackground:SetTexture(0, 0, 0, 0.8)
MCOptionsFrameBackground:SetPoint("CENTER")
MCOptionsFrameBackground:SetWidth(MCOptionsFrame:GetWidth() - 18)
MCOptionsFrameBackground:SetHeight(MCOptionsFrame:GetHeight() - 18)
MCOptionsFrame:SetBackdrop({edgeFile = "Interface/DialogFrame/UI-DialogBox-Border", edgeSize = 25})
CreateFrame("Frame", "$parentButtons", MCOptionsFrame)
MCOptionsFrameButtons:SetWidth(180)
MCOptionsFrameButtons:SetHeight(570)
MCOptionsFrameButtons:SetPoint("LEFT", MCOptionsFrame, "LEFT", 15, 10)
MCOptionsFrameButtons:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border", edgeSize = 12})

MCClose = CreateFrame("Button", "MCClose", MCOptionsFrame, "UIPanelCloseButton")
MCClose:ClearAllPoints()
MCClose:SetPoint("TOPRIGHT", MCOptionsFrame, "TOPRIGHT", -5, -5)
MCClose:SetScript("OnClick", function(self)
self:GetParent():Hide()
MageCandy_Cancel()
end)

MCApply = CreateFrame("Button", "MCApply", MCOptionsFrame, "UIPanelButtonTemplate")
MCApply:SetHeight(30)
MCApply:SetWidth(80)
MCApply:SetText(MageCandyLocal["APPLY"])
MCApply:ClearAllPoints()
MCApply:SetPoint("BOTTOMRIGHT", MCOptionsFrame, "BOTTOMRIGHT", -15, 15)
MCApply:SetScript("OnClick", MageCandy_Apply)

MCCancel = CreateFrame("Button", "MCCancel", MCOptionsFrame, "UIPanelButtonTemplate")
MCCancel:SetHeight(30)
MCCancel:SetWidth(80)
MCCancel:SetText(MageCandyLocal["CANCEL"])
MCCancel:ClearAllPoints()
MCCancel:SetPoint("BOTTOMRIGHT", MCOptionsFrame, "BOTTOMRIGHT", -100, 15)
MCCancel:SetScript("OnClick", function(self)
MageCandy_Cancel()
self:GetParent():Hide()
end)

MCOkay = CreateFrame("Button", "MCOkay", MCOptionsFrame, "UIPanelButtonTemplate")
MCOkay:SetHeight(30)
MCOkay:SetWidth(80)
MCOkay:SetText(MageCandyLocal["OKAY"])
MCOkay:ClearAllPoints()
MCOkay:SetPoint("BOTTOMRIGHT", MCOptionsFrame, "BOTTOMRIGHT", -185, 15)
MCOkay:SetScript("OnClick", function(self) 
MageCandy_Apply()
self:GetParent():Hide()
end)

CreateFrame("Frame", "MCDefaultsWarning", UIParent)
MCDefaultsWarning:SetHeight(85)
MCDefaultsWarning:SetWidth(230)
MCDefaultsWarning:SetPoint("CENTER")
MCDefaultsWarning:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
MCDefaultsWarningText:SetPoint("TOP", MCDefaultsWarning, "TOP", 0, -10)
MCDefaultsWarningText:SetText(MageCandyLocal["DEFAULTS_WARNING"])
MCDefaultsWarning:CreateTexture("$parentBG")
MCDefaultsWarningBG:SetTexture(0, 0, 0, 0.8)
MCDefaultsWarningBG:SetPoint("CENTER")
MCDefaultsWarningBG:SetWidth(MCDefaultsWarning:GetWidth() - 5)
MCDefaultsWarningBG:SetHeight(MCDefaultsWarning:GetHeight() - 5)
MCDefaultsWarning:SetBackdrop({edgeFile = "Interface/Tooltips/UI-Tooltip-Border", edgeSize = 12})
CreateFrame("Button", "$parentOkay", MCDefaultsWarning, "UIPanelButtonTemplate")
MCDefaultsWarningOkay:ClearAllPoints()
MCDefaultsWarningOkay:SetWidth(60)
MCDefaultsWarningOkay:SetHeight(30)
MCDefaultsWarningOkay:SetPoint("BOTTOM", MCDefaultsWarning, "BOTTOM", -37, 5)
MCDefaultsWarningOkay:SetText(MageCandyLocal["OKAY"])
MCDefaultsWarningOkay:SetScript("OnClick", function()
MageCandy_Defaults()
MageCandy_Cancel()
if MCtimerbypass == 0 then
MageCandy_UpdateUI()
end
MCDefaultsWarning:Hide()
end)
CreateFrame("Button", "$parentCancel", MCDefaultsWarning, "UIPanelButtonTemplate")
MCDefaultsWarningCancel:ClearAllPoints()
MCDefaultsWarningCancel:SetWidth(60)
MCDefaultsWarningCancel:SetHeight(30)
MCDefaultsWarningCancel:SetPoint("BOTTOM", MCDefaultsWarning, "BOTTOM", 37, 5)
MCDefaultsWarningCancel:SetText(MageCandyLocal["CANCEL"])
MCDefaultsWarningCancel:SetScript("OnClick", function()
MCDefaultsWarning:Hide()
end)
MCDefaultsWarning:SetFrameStrata("HIGH")
MCDefaultsWarning:Hide()
MCDefaultsWarning:SetFrameLevel(4)
MCDefaults = CreateFrame("Button", "MCDefaults", MCOptionsFrame, "UIPanelButtonTemplate")
MCDefaults:SetHeight(30)
MCDefaults:SetWidth(80)
MCDefaults:SetText(MageCandyLocal["DEFAULTS"])
MCDefaults:ClearAllPoints()
MCDefaults:SetPoint("BOTTOMLEFT", MCOptionsFrame, "BOTTOMLEFT", 15, 15)
MCDefaults:SetScript("OnClick", function()
MCDefaultsWarning:Show()
end)

local x, y, xoff, yoff = 0, 0, 15, -20
MageCandy = {}
MageCandy.panel = CreateFrame("Frame", "MCOptions", MCOptionsFrame)
MageCandy.panel:SetWidth(625)
MageCandy.panel:SetHeight(570)
MageCandy.panel:SetPoint("LEFT", MCOptionsFrameButtons, "RIGHT", 5, 0)
MageCandy.panel.name = "Mage Candy"

MCshowframes = CreateFrame("Button", "MCShowFrames", MageCandy.panel, "GameMenuButtonTemplate")
MCshowframes:SetWidth(140)
MCshowframes:SetHeight(40)
MCshowframes:SetPoint("BOTTOM", MageCandy.panel, "BOTTOM", 0, 60)
MCshowframes:SetText(MageCandyLocal["SHOW_ALL_FRAMES"])
MCshowframes:SetScript("OnClick", MageCandy_ShowFrames)

MageCandy.panel:Hide()
----------------------------------------------------------------------
y = 0
y = y + yoff
MCLockFrames = CreateFrame("CheckButton", "MCLockFrames", MageCandy.panel, "ChatConfigCheckButtonTemplate")
MCLockFrames:SetPoint("TOPLEFT", 15, y)
MCLockFramesText:SetText("Lock Frames")
MCLockFrames:SetChecked(MageCandy_Options.lockframes)
-----------------------------------------------------------------------

--Mana Bar---------------------------------------------------------------
MageCandy.manabar = CreateFrame("Frame", "MCManaBarOptions", MCOptionsFrame)
MageCandy.manabar:SetWidth(625)
MageCandy.manabar:SetHeight(570)
MageCandy.manabar:SetPoint("LEFT", MCOptionsFrameButtons, "RIGHT", 5, 0)
MageCandy.manabar.name = MageCandyLocal["MANA_BAR"]

MCManaBarScrollFrame = CreateFrame("ScrollFrame", "MCManaBarScrollFrame", MageCandy.manabar)
MCManaBarScrollFrame:SetPoint("TOPLEFT", 10, -10) 
MCManaBarScrollFrame:SetPoint("BOTTOMRIGHT", -30, 40) 

MCManaBarContent = CreateFrame("Frame", "MCManaBarContent", MCManaBarScrollFrame)
MCManaBarContent:SetPoint("CENTER")
MCManaBarContent:SetWidth(580)
MCManaBarContent:SetHeight(2000)
MCManaBarScrollFrame:SetScrollChild(MCManaBarContent)

MCManaBarScroll = CreateFrame("Slider", "MCManaBarScroll", MCManaBarScrollFrame, "UIPanelScrollBarTemplate")
MCManaBarScroll:SetOrientation("VERTICAL")
MCManaBarScroll:SetWidth(20)
MCManaBarScroll:SetHeight(450)
MCManaBarScroll:SetPoint("RIGHT", MageCandy.manabar, "RIGHT", -5, 0)
MCManaBarScroll:SetThumbTexture("Interface\\Buttons\\UI-ScrollBar-Knob")
MCManaBarScroll:SetValueStep(20)
MCManaBarScroll:SetValue(0)
MCManaBarContent:SetScript("OnMouseWheel", function(self, delta)
local scroll = MCManaBarScroll:GetValue()
if delta > 0  then
MCManaBarScroll:SetValue(scroll - MCManaBarScroll:GetValueStep())
elseif delta < 0 then
MCManaBarScroll:SetValue(scroll + MCManaBarScroll:GetValueStep())
end
end)

MageCandy.manabar:Hide()
------------------------------------------------------------------
x = 15
y = 0
local spacey, scaley = 20, 45
y = y - 20
MCEnableHealthBar = CreateFrame("CheckButton", "MCEnableHealthBar", MCManaBarContent, "ChatConfigCheckButtonTemplate")
MCEnableHealthBar:SetPoint("TOPLEFT", MCManaBarContent, "TOP", x, y)
MCEnableHealthBarText:SetText(MageCandyLocal["ENABLE_HEALTH_BAR"])
MCEnableHealthBar:SetChecked(MageCandy_Options.enablehealthbar)
------------------------------------------------------------------
y = y - spacey
MCHealthBarPercent = CreateFrame("CheckButton", "MCHealthBarPercent", MCManaBarContent, "ChatConfigCheckButtonTemplate")
MCHealthBarPercent:SetPoint("TOPLEFT", MCManaBarContent, "TOP", x, y)
MCHealthBarPercentText:SetText(MageCandyLocal["HEALTH_BAR_PERCENT"])
MCHealthBarPercent:SetChecked(MageCandy_Options.show.healthbarpercent)
------------------------------------------------------------------
y = y - spacey
MCHealthBarNumber = CreateFrame("CheckButton", "MCHealthBarNumber", MCManaBarContent, "ChatConfigCheckButtonTemplate")
MCHealthBarNumber:SetPoint("TOPLEFT", MCManaBarContent, "TOP", x, y)
MCHealthBarNumberText:SetText(MageCandyLocal["HEALTH_BAR_NUMBER"])
MCHealthBarNumber:SetChecked(MageCandy_Options.show.healthbarnumber)
------------------------------------------------------------------
y = y - spacey
MCHealthBarMax = CreateFrame("CheckButton", "MCHealthBarMax", MCManaBarContent, "ChatConfigCheckButtonTemplate")
MCHealthBarMax:SetPoint("TOPLEFT", MCManaBarContent, "TOP", x, y)
MCHealthBarMaxText:SetText(MageCandyLocal["HEALTH_BAR_MAX"])
MCHealthBarMax:SetChecked(MageCandy_Options.show.healthbarmax)
------------------------------------------------------------------
x = 15
y = 0
local spacey, scaley = 20, 45
y = y - 20
MCEnableManaBar = CreateFrame("CheckButton", "MCEnableManaBar", MCManaBarContent, "ChatConfigCheckButtonTemplate")
MCEnableManaBar:SetPoint("TOPLEFT", MCManaBarContent, "TOPLEFT", x, y)
MCEnableManaBarText:SetText(MageCandyLocal["ENABLE_MANA_BAR"])
MCEnableManaBar:SetChecked(MageCandy_Options.enablemanabar)
-----------------------------------------------------------------
y = y - spacey
MCManaBarPercent = CreateFrame("CheckButton", "MCManaBarPercent", MCManaBarContent, "ChatConfigCheckButtonTemplate")
MCManaBarPercent:SetPoint("TOPLEFT", MCManaBarContent, "TOPLEFT", x, y)
MCManaBarPercentText:SetText(MageCandyLocal["MANA_BAR_PERCENT"])
MCManaBarPercent:SetChecked(MageCandy_Options.show.manabarpercent)
------------------------------------------------------------------
y = y - spacey
MCManaBarNumber = CreateFrame("CheckButton", "MCManaBarNumber", MCManaBarContent, "ChatConfigCheckButtonTemplate")
MCManaBarNumber:SetPoint("TOPLEFT", MCManaBarContent, "TOPLEFT", x, y)
MCManaBarNumberText:SetText(MageCandyLocal["MANA_BAR_NUMBER"])
MCManaBarNumber:SetChecked(MageCandy_Options.show.manabarnumber)
------------------------------------------------------------------
y = y - spacey
MCManaBarMax = CreateFrame("CheckButton", "MCManaBarMax", MCManaBarContent, "ChatConfigCheckButtonTemplate")
MCManaBarMax:SetPoint("TOPLEFT", MCManaBarContent, "TOPLEFT", x, y)
MCManaBarMaxText:SetText(MageCandyLocal["MANA_BAR_MAX"])
MCManaBarMax:SetChecked(MageCandy_Options.show.manabarmax)
------------------------------------------------------------------
y = y - spacey - 40
MCManaBarReserveShow = CreateFrame("CheckButton", "MCManaBarReserveShow", MCManaBarContent, "ChatConfigCheckButtonTemplate")
MCManaBarReserveShow:SetPoint("TOPLEFT", MCManaBarContent, "TOPLEFT", x, y)
MCManaBarReserveShowText:SetText(MageCandyLocal["MANA_BAR_RESERVE_SHOW"])
MCManaBarReserveShow:SetChecked(MageCandy_Options.show.mcmanabarreserve)
MCManaBarReserveShow:SetScript("OnEnter", function(self) 
GameTooltip:SetOwner(self)
GameTooltip:SetText(MageCandyLocal["MANA_BAR_RESERVE_SHOW_TOOLTIP"])
GameTooltip:Show()
end)
MCManaBarReserveShow:SetScript("OnLeave", function(self)
GameTooltip:Hide()
end)
MCManaBarReserveInput = CreateFrame("EditBox", "MCManaBarReserveInput", MCManaBarContent, "InputBoxTemplate")
MCManaBarReserveInput:SetPoint("TOPLEFT", MCManaBarContent, "TOPLEFT", x + 300, y)
MCManaBarReserveInput:SetWidth(100)
MCManaBarReserveInput:SetHeight(20)
MCManaBarReserveInput:SetAutoFocus(false)
MCManaBarContent:CreateFontString("MCManaBarReserveInputText", "OVERLAY", "GameFontNormal")
MCManaBarReserveInputText:SetText("%")
MCManaBarReserveInputText:SetJustifyH("LEFT")
MCManaBarReserveInputText:SetPoint("LEFT", MCManaBarReserveInput, "RIGHT", 1, 0)
----------------------------------------------------------------------------------
y = y - spacey - 10
MCManaBarMarker1Show = CreateFrame("CheckButton", "MCManaBarMarker1Show", MCManaBarContent, "ChatConfigCheckButtonTemplate")
MCManaBarMarker1Show:SetPoint("TOPLEFT", MCManaBarContent, "TOPLEFT", x, y)
MCManaBarMarker1ShowText:SetText(MageCandyLocal["MANA_BAR_MARKER_SHOW"].." 1")
MCManaBarMarker1Show:SetChecked(MageCandy_Options.show.mcmanabarmarker1)
MCManaBarMarker1Input = CreateFrame("EditBox", "MCManaBarMarker1Input", MCManaBarContent, "InputBoxTemplate")
MCManaBarMarker1Input:SetPoint("TOPLEFT", MCManaBarContent, "TOPLEFT", x + 300, y)
MCManaBarMarker1Input:SetWidth(100)
MCManaBarMarker1Input:SetHeight(20)
MCManaBarMarker1Input:SetAutoFocus(false)
MCManaBarContent:CreateFontString("MCManaBarMarker1InputText", "OVERLAY", "GameFontNormal")
MCManaBarMarker1InputText:SetText("%")
MCManaBarMarker1InputText:SetJustifyH("LEFT")
MCManaBarMarker1InputText:SetPoint("LEFT", MCManaBarMarker1Input, "RIGHT", 1, 0)
------------------------------------------------------------------------------------
y = y - spacey - 10
MCManaBarMarker2Show = CreateFrame("CheckButton", "MCManaBarMarker2Show", MCManaBarContent, "ChatConfigCheckButtonTemplate")
MCManaBarMarker2Show:SetPoint("TOPLEFT", MCManaBarContent, "TOPLEFT", x, y)
MCManaBarMarker2ShowText:SetText(MageCandyLocal["MANA_BAR_MARKER_SHOW"].." 2")
MCManaBarMarker2Show:SetChecked(MageCandy_Options.show.mcmanabarmarker2)
MCManaBarMarker2Input = CreateFrame("EditBox", "MCManaBarMarker2Input", MCManaBarContent, "InputBoxTemplate")
MCManaBarMarker2Input:SetPoint("TOPLEFT", MCManaBarContent, "TOPLEFT", x + 300, y)
MCManaBarMarker2Input:SetWidth(100)
MCManaBarMarker2Input:SetHeight(20)
MCManaBarMarker2Input:SetAutoFocus(false)
MCManaBarContent:CreateFontString("MCManaBarMarker2InputText", "OVERLAY", "GameFontNormal")
MCManaBarMarker2InputText:SetText("%")
MCManaBarMarker2InputText:SetJustifyH("LEFT")
MCManaBarMarker2InputText:SetPoint("LEFT", MCManaBarMarker2Input, "RIGHT", 1, 0)
----------------------------------------------------------------------------------
y = y - spacey - 10
MCManaBarMarker3Show = CreateFrame("CheckButton", "MCManaBarMarker3Show", MCManaBarContent, "ChatConfigCheckButtonTemplate")
MCManaBarMarker3Show:SetPoint("TOPLEFT", MCManaBarContent, "TOPLEFT", x, y)
MCManaBarMarker3ShowText:SetText(MageCandyLocal["MANA_BAR_MARKER_SHOW"].." 3")
MCManaBarMarker3Show:SetChecked(MageCandy_Options.show.mcmanabarmarker3)
MCManaBarMarker3Input = CreateFrame("EditBox", "MCManaBarMarker3Input", MCManaBarContent, "InputBoxTemplate")
MCManaBarMarker3Input:SetPoint("TOPLEFT", MCManaBarContent, "TOPLEFT", x + 300, y)
MCManaBarMarker3Input:SetWidth(100)
MCManaBarMarker3Input:SetHeight(20)
MCManaBarMarker3Input:SetAutoFocus(false)
MCManaBarContent:CreateFontString("MCManaBarMarker3InputText", "OVERLAY", "GameFontNormal")
MCManaBarMarker3InputText:SetText("%")
MCManaBarMarker3InputText:SetJustifyH("LEFT")
MCManaBarMarker3InputText:SetPoint("LEFT", MCManaBarMarker3Input, "RIGHT", 1, 0)
-----------------------------------------------------------------------------------
y = y - spacey - 20
MCManaBarContent:CreateFontString("MCCalculatorSpellText", "OVERLAY", "GameFontNormal")
MCCalculatorSpellText:SetPoint("TOPLEFT", MCManaBarContent, "TOPLEFT", x + 3, y)
MCCalculatorSpellText:SetText(MageCandyLocal["CALCULATOR_SPELL_INPUT"])
MCCalculatorSpellText:SetTextColor(1, 1, 1)
MCCalculatorSpellInput = CreateFrame("EditBox", "MCCalculatorSpellInput", MCManaBarContent, "InputBoxTemplate")
MCCalculatorSpellInput:SetPoint("LEFT", MCCalculatorSpellText, "RIGHT", 10, 0)
MCCalculatorSpellInput:SetWidth(100)
MCCalculatorSpellInput:SetHeight(20)
MCCalculatorSpellInput:SetAutoFocus(false)
MCCalculatorSpellInput:SetScript("OnEnter", function(self) 
GameTooltip:SetOwner(self)
GameTooltip:SetText(MageCandyLocal["CALCULATOR_SPELL_INPUT_TOOLTIP"])
GameTooltip:Show()
end)
MCCalculatorSpellInput:SetScript("OnLeave", function(self)
GameTooltip:Hide()
end)
-----------------------------------------------------------------------------------
y = y - scaley * 2
MCManaBarWidth = CreateFrame("Slider","MCManaBarWidth", MCManaBarContent)
MCManaBarWidth:SetPoint("TOPLEFT", MCManaBarContent, "TOPLEFT", x, y)
MCManaBarWidth:SetWidth(550)
MCManaBarWidth:SetHeight(20)
MCManaBarWidth:SetOrientation("HORIZONTAL")
MCManaBarWidth:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCManaBarWidth:SetMinMaxValues(100, 800)
MCManaBarWidth:SetValueStep(1)
MCManaBarWidth:SetValue(0)
MCManaBarWidth:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCManaBarWidth:SetScript("OnValueChanged", function (self, value) 
MCManaBarWidthValue:SetText(MageCandy_Round(value))
MCManaBar:SetWidth(value) 
MCHealthBar:SetWidth(value) 
MageCandy_SetManaBarPoints()
end)
MCManaBarWidthHeader = MCManaBarContent:CreateFontString("MCManaBarWidthHeader", "OVERLAY", "GameFontNormal")
MCManaBarWidthHeader:SetPoint("BOTTOMLEFT", MCManaBarWidth, "TOPLEFT")
MCManaBarWidthHeader:SetText(MageCandyLocal["MANA_BAR_WIDTH"])
MCManaBarWidthValue = MCManaBarContent:CreateFontString("MCManaBarWidthValue", "OVERLAY", "GameFontNormal")
MCManaBarWidthValue:SetPoint("BOTTOMRIGHT", MCManaBarWidth, "TOPRIGHT")
MCManaBarWidthValue:SetText(MageCandy_Options.manabarwidth)
--------------------------------------------------------------------------------
y = y - scaley
MCManaBarHeight = CreateFrame("Slider","MCManaBarHeight", MCManaBarContent)
MCManaBarHeight:SetPoint("TOPLEFT", MCManaBarContent, "TOPLEFT", x, y)
MCManaBarHeight:SetWidth(550)
MCManaBarHeight:SetHeight(20)
MCManaBarHeight:SetOrientation("HORIZONTAL")
MCManaBarHeight:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCManaBarHeight:SetMinMaxValues(12, 300)
MCManaBarHeight:SetValueStep(1)
MCManaBarHeight:SetValue(0)
MCManaBarHeight:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCManaBarHeight:SetScript("OnValueChanged", function (self, value) 
MCManaBarHeightValue:SetText(MageCandy_Round(value))
MCManaBar:SetHeight(value) 
MageCandy_SetManaBarPoints()
end)
MCManaBarHeightHeader = MCManaBarContent:CreateFontString("MCManaBarHeightHeader", "OVERLAY", "GameFontNormal")
MCManaBarHeightHeader:SetPoint("BOTTOMLEFT", MCManaBarHeight, "TOPLEFT")
MCManaBarHeightHeader:SetText(MageCandyLocal["MANA_BAR_HEIGHT"])
MCManaBarHeightValue = MCManaBarContent:CreateFontString("MCManaBarHeightValue", "OVERLAY", "GameFontNormal")
MCManaBarHeightValue:SetPoint("BOTTOMRIGHT", MCManaBarHeight, "TOPRIGHT")
MCManaBarHeightValue:SetText(MageCandy_Options.manabarheight)
--------------------------------------------------------------------------------
y = y - scaley
MCManaBarTextHeight = CreateFrame("Slider","MCManaBarTextHeight", MCManaBarContent)
MCManaBarTextHeight:SetPoint("TOPLEFT", MCManaBarContent, "TOPLEFT", x, y)
MCManaBarTextHeight:SetWidth(550)
MCManaBarTextHeight:SetHeight(20)
MCManaBarTextHeight:SetOrientation("HORIZONTAL")
MCManaBarTextHeight:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCManaBarTextHeight:SetMinMaxValues(6, 150)
MCManaBarTextHeight:SetValueStep(1)
MCManaBarTextHeight:SetValue(0)
MCManaBarTextHeight:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCManaBarTextHeight:SetScript("OnValueChanged", function (self, value) 
MCManaBarTextHeightValue:SetText(MageCandy_Round(value))
MCManaBarText:SetTextHeight(value) 
end)
MCManaBarTextHeightHeader = MCManaBarContent:CreateFontString("MCManaBarTextHeightHeader", "OVERLAY", "GameFontNormal")
MCManaBarTextHeightHeader:SetPoint("BOTTOMLEFT", MCManaBarTextHeight, "TOPLEFT")
MCManaBarTextHeightHeader:SetText(MageCandyLocal["MANA_BAR_TEXT_HEIGHT"])
MCManaBarTextHeightValue = MCManaBarContent:CreateFontString("MCManaBarTextHeightValue", "OVERLAY", "GameFontNormal")
MCManaBarTextHeightValue:SetPoint("BOTTOMRIGHT", MCManaBarTextHeight, "TOPRIGHT")
MCManaBarTextHeightValue:SetText(MageCandy_Options.manabartextheight)
--------------------------------------------------------------------------------
y = y - scaley
MCHealthBarHeight = CreateFrame("Slider","MCHealthBarHeight", MCManaBarContent)
MCHealthBarHeight:SetPoint("TOPLEFT", MCManaBarContent, "TOPLEFT", x, y)
MCHealthBarHeight:SetWidth(550)
MCHealthBarHeight:SetHeight(20)
MCHealthBarHeight:SetOrientation("HORIZONTAL")
MCHealthBarHeight:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCHealthBarHeight:SetMinMaxValues(12, 300)
MCHealthBarHeight:SetValue(0)
MCHealthBarHeight:SetValueStep(1)
MCHealthBarHeight:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCHealthBarHeight:SetScript("OnValueChanged", function (self, value) 
MCHealthBarHeightValue:SetText(MageCandy_Round(value))
MCHealthBar:SetHeight(value) 
MageCandy_SetManaBarPoints()
end)
MCHealthBarHeightHeader = MCManaBarContent:CreateFontString("MCHealthBarHeightHeader", "OVERLAY", "GameFontNormal")
MCHealthBarHeightHeader:SetPoint("BOTTOMLEFT", MCHealthBarHeight, "TOPLEFT")
MCHealthBarHeightHeader:SetText(MageCandyLocal["HEALTH_BAR_HEIGHT"])
MCHealthBarHeightValue = MCManaBarContent:CreateFontString("MCHealthBarHeightValue", "OVERLAY", "GameFontNormal")
MCHealthBarHeightValue:SetPoint("BOTTOMRIGHT", MCHealthBarHeight, "TOPRIGHT")
MCHealthBarHeightValue:SetText(MageCandy_Options.healthbarheight)
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
y = y - scaley
MCHealthBarTextHeight = CreateFrame("Slider","MCHealthBarTextHeight", MCManaBarContent)
MCHealthBarTextHeight:SetPoint("TOPLEFT", MCManaBarContent, "TOPLEFT", x, y)
MCHealthBarTextHeight:SetWidth(550)
MCHealthBarTextHeight:SetHeight(20)
MCHealthBarTextHeight:SetOrientation("HORIZONTAL")
MCHealthBarTextHeight:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCHealthBarTextHeight:SetMinMaxValues(6, 150)
MCHealthBarTextHeight:SetValueStep(1)
MCHealthBarTextHeight:SetValue(0)
MCHealthBarTextHeight:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCHealthBarTextHeight:SetScript("OnValueChanged", function (self, value) 
MCHealthBarTextHeightValue:SetText(MageCandy_Round(value))
MCHealthBarText:SetTextHeight(value) 
end)
MCHealthBarTextHeightHeader = MCManaBarContent:CreateFontString("MCHealthBarTextHeightHeader", "OVERLAY", "GameFontNormal")
MCHealthBarTextHeightHeader:SetPoint("BOTTOMLEFT", MCHealthBarTextHeight, "TOPLEFT")
MCHealthBarTextHeightHeader:SetText(MageCandyLocal["HEALTH_BAR_TEXT_HEIGHT"])
MCHealthBarTextHeightValue = MCManaBarContent:CreateFontString("MCHealthBarTextHeightValue", "OVERLAY", "GameFontNormal")
MCHealthBarTextHeightValue:SetPoint("BOTTOMRIGHT", MCHealthBarTextHeight, "TOPRIGHT")
MCHealthBarTextHeightValue:SetText(MageCandy_Options.healthbartextheight)
--------------------------------------------------------------------------------
y = y - scaley
MCManaBarScale = CreateFrame("Slider","MCManaBarScale", MCManaBarContent)
MCManaBarScale:SetPoint("TOPLEFT", MCManaBarContent, "TOPLEFT", x, y)
MCManaBarScale:SetWidth(550)
MCManaBarScale:SetHeight(20)
MCManaBarScale:SetOrientation("HORIZONTAL")
MCManaBarScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCManaBarScale:SetMinMaxValues(0.5, 5)
MCManaBarScale:SetValue(0)
MCManaBarScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCManaBarScale:SetScript("OnValueChanged", function (self, value) 
MCManaBarScaleValue:SetText(string.sub(value, 1, 4))
MCManaBar:SetScale(value) 
end)
MCManaBarScaleHeader = MCManaBarContent:CreateFontString("MCManaBarScaleHeader", "OVERLAY", "GameFontNormal")
MCManaBarScaleHeader:SetPoint("BOTTOMLEFT", MCManaBarScale, "TOPLEFT")
MCManaBarScaleHeader:SetText(MageCandyLocal["MANA_BAR_SCALE"])
MCManaBarScaleValue = MCManaBarContent:CreateFontString("MCManaBarScaleValue", "OVERLAY", "GameFontNormal")
MCManaBarScaleValue:SetPoint("BOTTOMRIGHT", MCManaBarScale, "TOPRIGHT")
MCManaBarScaleValue:SetText(string.sub(MageCandy_Options.scale.mcmanabar, 1, 4))
--------------------------------------------------------------------------------

MCManaBarScroll:SetMinMaxValues(0, (abs(y)/60)*40)
MCManaBarScroll:SetValue(0)
--------------------------------------------------------------------------------------------

--Notifications -------------------------------------------------------
MageCandy.notifications = CreateFrame("Frame", "MCNotificationsOptions", MCOptionsFrame)
MageCandy.notifications:SetWidth(625)
MageCandy.notifications:SetHeight(570)
MageCandy.notifications:SetPoint("LEFT", MCOptionsFrameButtons, "RIGHT", 5, 0)
MageCandy.notifications.name = MageCandyLocal["NOTIFICATIONS"]

x = 50
y = 0
local spacey, scaley = 60, 45
y = y - 20
MCtestcauterize = CreateFrame("Button", "MCtestcauterize", MageCandy.notifications, "UIPanelButtonTemplate")
MCtestcauterize:SetHeight(20)
MCtestcauterize:SetWidth(70)
MCtestcauterize:SetText(MageCandyLocal["TEST"])
MCtestcauterize:ClearAllPoints()
MCtestcauterize:SetPoint("TOPRIGHT", MageCandy.notifications, "TOPRIGHT", -1 * x - 200, y)
MCtestcauterize:SetScript("OnClick", function() MCCauterizeNotification:Show() MCcauterizetest = 6 end)
MCCauterizeNotificationShow = CreateFrame("CheckButton", "MCCauterizeNotificationShow", MageCandy.notifications, "ChatConfigCheckButtonTemplate")
MCCauterizeNotificationShow:SetPoint("TOPLEFT", MageCandy.notifications, "TOPLEFT", x, y)
MCCauterizeNotificationShowText:SetText(MageCandyLocal["CAUTERIZE_NOTIFICATION_SHOW"])
MCCauterizeNotificationShow:SetChecked(MageCandy_Options.show.mccauterizenotification)
MCCauterizeNotificationShowIcon = MCCauterizeNotificationShow:CreateTexture("$parent_Icon")
MCCauterizeNotificationShowIcon:SetTexture("Interface\\Icons\\spell_fire_rune")
MCCauterizeNotificationShowIcon:SetWidth(32)
MCCauterizeNotificationShowIcon:SetHeight(32)
MCCauterizeNotificationShowIcon:SetPoint("TOPLEFT", MageCandy.notifications, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCCauterizeNotificationScale = CreateFrame("Slider","MCCauterizeNotificationScale", MageCandy.notifications)
MCCauterizeNotificationScale:SetPoint("TOPLEFT", MageCandy.notifications, "TOPLEFT", x, y)
MCCauterizeNotificationScale:SetWidth(300)
MCCauterizeNotificationScale:SetHeight(20)
MCCauterizeNotificationScale:SetOrientation("HORIZONTAL")
MCCauterizeNotificationScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCCauterizeNotificationScale:SetMinMaxValues(0.5,2)
MCCauterizeNotificationScale:SetValue(0)
MCCauterizeNotificationScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCCauterizeNotificationScale:SetScript("OnValueChanged", function (self, value) MCCauterizeNotificationScaleValue:SetText(string.sub(value, 1, 4)) MCCauterizeNotification:SetScale(value) end)
MCCauterizeNotificationScaleHeader = MageCandy.notifications:CreateFontString("MCCauterizeNotificationScaleHeader", "OVERLAY", "GameFontNormal")
MCCauterizeNotificationScaleHeader:SetPoint("BOTTOMLEFT", MCCauterizeNotificationScale, "TOPLEFT")
MCCauterizeNotificationScaleHeader:SetText(MageCandyLocal["CAUTERIZE_NOTIFICATION_SCALE"])
MCCauterizeNotificationScaleValue = MageCandy.notifications:CreateFontString("MCCauterizeNotificationScaleValue", "OVERLAY", "GameFontNormal")
MCCauterizeNotificationScaleValue:SetPoint("BOTTOMRIGHT", MCCauterizeNotificationScale, "TOPRIGHT")
MCCauterizeNotificationScaleValue:SetText(string.sub(MageCandy_Options.scale.mccauterizenotification, 1, 4))
------------------------------------------------------------------------
y = y - spacey
MCLazyMageShow = CreateFrame("CheckButton", "MCLazyMageShow", MageCandy.notifications, "ChatConfigCheckButtonTemplate")
MCLazyMageShow:SetPoint("TOPLEFT", MageCandy.notifications, "TOPLEFT", x, y)
MCLazyMageShowText:SetText(MageCandyLocal["LAZY_MAGE_SHOW"])
MCLazyMageShow:SetChecked(MageCandy_Options.show.mclazymage)
MCLazyMageShowIcon = MCLazyMageShow:CreateTexture("$parent_Icon")
MCLazyMageShowIcon:SetTexture("Interface\\Icons\\Spell_Holy_MagicalSentry")
MCLazyMageShowIcon:SetWidth(32)
MCLazyMageShowIcon:SetHeight(32)
MCLazyMageShowIcon:SetPoint("TOPLEFT", MageCandy.notifications, "TOPLEFT", x - 41, y + 4)
--------------------------------------------
y = y - 20
MCLazyMageNotFullChargesShow = CreateFrame("CheckButton", "MCLazyMageNotFullChargesShow", MageCandy.notifications, "ChatConfigCheckButtonTemplate")
MCLazyMageNotFullChargesShow:SetPoint("TOPLEFT", MageCandy.notifications, "TOPLEFT", x, y)
MCLazyMageNotFullChargesShowText:SetText(MageCandyLocal["LAZY_MAGE_NOT_FULL_CHARGES_SHOW"])
MCLazyMageNotFullChargesShow:SetChecked(MageCandy_Options.show.lazymagenotfullcharges)
--------------------------------------------
y = y - scaley
MCLazyMageScale = CreateFrame("Slider","MCLazyMageScale", MageCandy.notifications)
MCLazyMageScale:SetPoint("TOPLEFT", MageCandy.notifications, "TOPLEFT", x, y)
MCLazyMageScale:SetWidth(300)
MCLazyMageScale:SetHeight(20)
MCLazyMageScale:SetOrientation("HORIZONTAL")
MCLazyMageScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCLazyMageScale:SetMinMaxValues(0.5,2)
MCLazyMageScale:SetValue(0)
MCLazyMageScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCLazyMageScale:SetScript("OnValueChanged", function (self, value) MCLazyMageScaleValue:SetText(string.sub(value, 1, 4)) MCLazyMage:SetScale(value) end)
MCLazyMageScaleHeader = MageCandy.notifications:CreateFontString("MCLazyMageScaleHeader", "OVERLAY", "GameFontNormal")
MCLazyMageScaleHeader:SetPoint("BOTTOMLEFT", MCLazyMageScale, "TOPLEFT")
MCLazyMageScaleHeader:SetText(MageCandyLocal["LAZY_MAGE_SCALE"])
MCLazyMageScaleValue = MageCandy.notifications:CreateFontString("MCLazyMageScaleValue", "OVERLAY", "GameFontNormal")
MCLazyMageScaleValue:SetPoint("BOTTOMRIGHT", MCLazyMageScale, "TOPRIGHT")
MCLazyMageScaleValue:SetText(string.sub(MageCandy_Options.scale.mclazymage, 1, 4))

MageCandy.notifications:Hide()
------------------------------------------------------------------------

-----------------------------------------------------------------------

-- Polymorph Monitor --------------------------------------------------
MageCandy.pmonitor = CreateFrame("Frame", "MCPolymorphMonitorOptions", MCOptionsFrame)
MageCandy.pmonitor:SetWidth(625)
MageCandy.pmonitor:SetHeight(570)
MageCandy.pmonitor:SetPoint("LEFT", MCOptionsFrameButtons, "RIGHT", 5, 0)
MageCandy.pmonitor.name = MageCandyLocal["POLYMORPH_MONITOR"]

------------------------------------------------------------------------
y = 0
y = y + yoff
MCEnablePolymorphMonitor = CreateFrame("CheckButton", "MCEnablePolymorphMonitor", MageCandy.pmonitor, "ChatConfigCheckButtonTemplate")
MCEnablePolymorphMonitor:SetPoint("TOPLEFT", 15, y)
MCEnablePolymorphMonitorText:SetText(MageCandyLocal["ENABLE_POLYMORPH_MONITOR"])
MCEnablePolymorphMonitor:SetChecked(MageCandy_Options.enablepolymorphmonitor)
------------------------------------------------------------------------
y = y + yoff
MCPolymorphMonitorShow = CreateFrame("CheckButton", "MCPolymorphMonitorShow", MageCandy.pmonitor, "ChatConfigCheckButtonTemplate")
MCPolymorphMonitorShow:SetPoint("TOPLEFT", 15, y)
MCPolymorphMonitorShowText:SetText(MageCandyLocal["SHOW_POLYMORPH_TIMER"])
MCPolymorphMonitorShow:SetChecked(MageCandy_Options.show.mcpolymorphmonitor)
------------------------------------------------------------------------
y = y + yoff
MCPolymorphApplyNotificationShow = CreateFrame("CheckButton", "MCPolymorphApplyNotificationShow", MageCandy.pmonitor, "ChatConfigCheckButtonTemplate")
MCPolymorphApplyNotificationShow:SetPoint("TOPLEFT", 15, y)
MCPolymorphApplyNotificationShowText:SetText(MageCandyLocal["POLYMORPH_APPLY_SHOW"])
MCPolymorphApplyNotificationShow:SetChecked(MageCandy_Options.show.polymorphapplynotification)
------------------------------------------------------------------------
y = y + yoff
MCPolymorphRemoveNotificationShow = CreateFrame("CheckButton", "MCPolymorphRemoveNotificationShow", MageCandy.pmonitor, "ChatConfigCheckButtonTemplate")
MCPolymorphRemoveNotificationShow:SetPoint("TOPLEFT", 15, y)
MCPolymorphRemoveNotificationShowText:SetText(MageCandyLocal["POLYMORPH_REMOVE_SHOW"])
MCPolymorphRemoveNotificationShow:SetChecked(MageCandy_Options.show.polymorphremovenotification)
------------------------------------------------------------------------
y = y + yoff
MCPolymorphAnnounceShow = CreateFrame("CheckButton", "MCPolymorphAnnounceShow", MageCandy.pmonitor, "ChatConfigCheckButtonTemplate")
MCPolymorphAnnounceShow:SetPoint("TOPLEFT", 15, y)
MCPolymorphAnnounceShowText:SetText(MageCandyLocal["POLYMORPH_ANNOUNCE_SHOW"])
MCPolymorphAnnounceShow:SetChecked(MageCandy_Options.show.polymorphannounce)
------------------------------------------------------------------------
y = y + (yoff * 2)
CreateFrame("Slider","MCPolymorphMonitorScale", MageCandy.pmonitor)
MCPolymorphMonitorScale:SetPoint("TOPLEFT", 15, y)
MCPolymorphMonitorScale:SetWidth(600)
MCPolymorphMonitorScale:SetHeight(20)
MCPolymorphMonitorScale:SetOrientation("HORIZONTAL")
MCPolymorphMonitorScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCPolymorphMonitorScale:SetMinMaxValues(0.5,5)
MCPolymorphMonitorScale:SetValue(0)
MCPolymorphMonitorScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCPolymorphMonitorScale:SetScript("OnValueChanged", function (self, value) MCPolymorphMonitorScaleText:SetText(string.sub(value, 1, 4)) MCPolymorphMonitor:SetScale(value) end)
MageCandy.pmonitor:CreateFontString("MCPolymorphMonitorScaleHeader", "OVERLAY", "GameFontNormal")
MCPolymorphMonitorScaleHeader:SetPoint("BOTTOMLEFT", MCPolymorphMonitorScale, "TOPLEFT")
MCPolymorphMonitorScaleHeader:SetText(MageCandyLocal["POLYMORPH_TIMER_SCALE"])
MageCandy.pmonitor:CreateFontString("MCPolymorphMonitorScaleText", "OVERLAY", "GameFontNormal")
MCPolymorphMonitorScaleText:SetPoint("BOTTOMRIGHT", MCPolymorphMonitorScale, "TOPRIGHT")
MCPolymorphMonitorScaleText:SetText(string.sub(MageCandy_Options.scale.mcpolymorphmonitor, 1, 4))

MageCandy.pmonitor:Hide()
-----------------------------------------------------------------------


-- Spellsteal Monitor --------------------------------------------------
MageCandy.ssmonitor = CreateFrame("Frame", "MCSpellStealMonitorOptions", MCOptionsFrame)
MageCandy.ssmonitor:SetWidth(625)
MageCandy.ssmonitor:SetHeight(570)
MageCandy.ssmonitor:SetPoint("LEFT", MCOptionsFrameButtons, "RIGHT", 5, 0)
MageCandy.ssmonitor.name = MageCandyLocal["SPELLSTEAL_MONITOR"]

MCTestSSAnimation = CreateFrame("Button", "MCTestSSAnimation", MageCandy.ssmonitor, "UIPanelButtonTemplate")
MCTestSSAnimation:SetHeight(30)
MCTestSSAnimation:SetWidth(120)
MCTestSSAnimation:SetText(MageCandyLocal["PLAY_ANIMATION"])
MCTestSSAnimation:ClearAllPoints()
MCTestSSAnimation:SetPoint("CENTER", MageCandy.ssmonitor, "CENTER", 0, -150)
MCTestSSAnimation:SetScript("OnClick", function () MCSpellStealNotification:Show() end)

------------------------------------------------------------------------
y = 0
y = y + yoff
MCSpellStealMonitorBackgroundShow = CreateFrame("CheckButton", "MCSpellStealMonitorBackgroundShow", MageCandy.ssmonitor, "ChatConfigCheckButtonTemplate")
MCSpellStealMonitorBackgroundShow:SetPoint("TOP", 15, y)
MCSpellStealMonitorBackgroundShowText:SetText(MageCandyLocal["SPELLSTEAL_MONITOR_BACKGROUND_SHOW"])
MCSpellStealMonitorBackgroundShow:SetChecked(MageCandy_Options.show.mcspellstealmonitorbackground)
------------------------------------------------------------------------
------------------------------------------------------------------------
y = y + yoff
MCSpellStealMonitorHeaderShow = CreateFrame("CheckButton", "MCSpellStealMonitorHeaderShow", MageCandy.ssmonitor, "ChatConfigCheckButtonTemplate")
MCSpellStealMonitorHeaderShow:SetPoint("TOP", 15, y)
MCSpellStealMonitorHeaderShowText:SetText(MageCandyLocal["SPELLSTEAL_MONITOR_HEADER_SHOW"])
MCSpellStealMonitorHeaderShow:SetChecked(MageCandy_Options.show.mcspellstealmonitorheader)
------------------------------------------------------------------------
y = y + yoff
MCSpellStealMonitorFlipBuffs = CreateFrame("CheckButton", "MCSpellStealMonitorFlipBuffs", MageCandy.ssmonitor, "ChatConfigCheckButtonTemplate")
MCSpellStealMonitorFlipBuffs:SetPoint("TOP", 15, y)
MCSpellStealMonitorFlipBuffsText:SetText(MageCandyLocal["SPELLSTEAL_MONITOR_FLIP_BUFFS"])
MCSpellStealMonitorFlipBuffs:SetChecked(MageCandy_Options.flipbuffs)
------------------------------------------------------------------------
y = y + yoff
MCSpellStealMessageShow = CreateFrame("CheckButton", "MCSpellStealMessageShow", MageCandy.ssmonitor, "ChatConfigCheckButtonTemplate")
MCSpellStealMessageShow:SetPoint("TOP", 15, y)
MCSpellStealMessageShowText:SetText(MageCandyLocal["SPELLSTEAL_MESSAGE_SHOW"])
MCSpellStealMessageShow:SetChecked(MageCandy_Options.show.mcspellstealmessage)
------------------------------------------------------------------------

------------------------------------------------------------------------
y = 0
y = y + yoff
MCEnableSpellStealMonitor = CreateFrame("CheckButton", "MCEnableSpellStealMonitor", MageCandy.ssmonitor, "ChatConfigCheckButtonTemplate")
MCEnableSpellStealMonitor:SetPoint("TOPLEFT", 15, y)
MCEnableSpellStealMonitorText:SetText(MageCandyLocal["SPELLSTEAL_MONITOR_ENABLE"])
MCEnableSpellStealMonitor:SetChecked(MageCandy_Options.enablespellstealmonitor)
------------------------------------------------------------------------
y = y + yoff
MCSpellStealNotificationShow = CreateFrame("CheckButton", "MCSpellStealNotificationShow", MageCandy.ssmonitor, "ChatConfigCheckButtonTemplate")
MCSpellStealNotificationShow:SetPoint("TOPLEFT", 15, y)
MCSpellStealNotificationShowText:SetText(MageCandyLocal["SPELLSTEAL_NOTIFICATION_SHOW"])
MCSpellStealNotificationShow:SetChecked(MageCandy_Options.show.mcspellstealnotification)
------------------------------------------------------------------------
y = y + yoff
MCTargetSpellStealFrameShow = CreateFrame("CheckButton", "MCTargetSpellStealFrameShow", MageCandy.ssmonitor, "ChatConfigCheckButtonTemplate")
MCTargetSpellStealFrameShow:SetPoint("TOPLEFT", 15, y)
MCTargetSpellStealFrameShowText:SetText(MageCandyLocal["SPELLSTEAL_MONITOR_SHOW_TARGET"])
MCTargetSpellStealFrameShow:SetChecked(MageCandy_Options.show.mctargetspellstealframe)
------------------------------------------------------------------------
y = y + yoff
MCFocusSpellStealFrameShow = CreateFrame("CheckButton", "MCFocusSpellStealFrameShow", MageCandy.ssmonitor, "ChatConfigCheckButtonTemplate")
MCFocusSpellStealFrameShow:SetPoint("TOPLEFT", 15, y)
MCFocusSpellStealFrameShowText:SetText(MageCandyLocal["SPELLSTEAL_MONITOR_SHOW_FOCUS"])
MCFocusSpellStealFrameShow:SetChecked(MageCandy_Options.show.mcfocusspellstealframe)
------------------------------------------------------------------------
y = y + yoff
MCStolenSpellsFrameShow = CreateFrame("CheckButton", "MCStolenSpellsFrameShow", MageCandy.ssmonitor, "ChatConfigCheckButtonTemplate")
MCStolenSpellsFrameShow:SetPoint("TOPLEFT", 15, y)
MCStolenSpellsFrameShowText:SetText(MageCandyLocal["SPELLSTEAL_MONITOR_SHOW_STOLEN"])
MCStolenSpellsFrameShow:SetChecked(MageCandy_Options.show.mcstolenspellsframe)
-----------------------------------------------------------------------
y = y + (yoff * 4)
CreateFrame("Slider","MCTargetSpellStealFrameScale", MageCandy.ssmonitor)
MCTargetSpellStealFrameScale:SetPoint("TOPLEFT", 15, y)
MCTargetSpellStealFrameScale:SetWidth(600)
MCTargetSpellStealFrameScale:SetHeight(20)
MCTargetSpellStealFrameScale:SetOrientation("HORIZONTAL")
MCTargetSpellStealFrameScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCTargetSpellStealFrameScale:SetMinMaxValues(0.5,5)
MCTargetSpellStealFrameScale:SetValue(0)
MCTargetSpellStealFrameScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCTargetSpellStealFrameScale:SetScript("OnValueChanged", function (self, value) MCTargetSpellStealFrameScaleText:SetText(string.sub(value, 1, 4)) MCTargetSpellStealFrame:SetScale(value) end)
MageCandy.ssmonitor:CreateFontString("MCTargetSpellStealFrameScaleHeader", "OVERLAY", "GameFontNormal")
MCTargetSpellStealFrameScaleHeader:SetPoint("BOTTOMLEFT", MCTargetSpellStealFrameScale, "TOPLEFT")
MCTargetSpellStealFrameScaleHeader:SetText(MageCandyLocal["SPELLSTEAL_MONITOR_TARGET_SCALE"])
MageCandy.ssmonitor:CreateFontString("MCTargetSpellStealFrameScaleText", "OVERLAY", "GameFontNormal")
MCTargetSpellStealFrameScaleText:SetPoint("BOTTOMRIGHT", MCTargetSpellStealFrameScale, "TOPRIGHT")
MCTargetSpellStealFrameScaleText:SetText(string.sub(MageCandy_Options.scale.mctargetspellstealframe, 1, 4))
-----------------------------------------------------------------------
y = y + (yoff * 2)
CreateFrame("Slider","MCFocusSpellStealFrameScale", MageCandy.ssmonitor)
MCFocusSpellStealFrameScale:SetPoint("TOPLEFT", 15, y)
MCFocusSpellStealFrameScale:SetWidth(600)
MCFocusSpellStealFrameScale:SetHeight(20)
MCFocusSpellStealFrameScale:SetOrientation("HORIZONTAL")
MCFocusSpellStealFrameScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCFocusSpellStealFrameScale:SetMinMaxValues(0.5,5)
MCFocusSpellStealFrameScale:SetValue(0)
MCFocusSpellStealFrameScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCFocusSpellStealFrameScale:SetScript("OnValueChanged", function (self, value) MCFocusSpellStealFrameScaleText:SetText(string.sub(value, 1, 4)) MCFocusSpellStealFrame:SetScale(value) end)
MageCandy.ssmonitor:CreateFontString("MCFocusSpellStealFrameScaleHeader", "OVERLAY", "GameFontNormal")
MCFocusSpellStealFrameScaleHeader:SetPoint("BOTTOMLEFT", MCFocusSpellStealFrameScale, "TOPLEFT")
MCFocusSpellStealFrameScaleHeader:SetText(MageCandyLocal["SPELLSTEAL_MONITOR_FOCUS_SCALE"])
MageCandy.ssmonitor:CreateFontString("MCFocusSpellStealFrameScaleText", "OVERLAY", "GameFontNormal")
MCFocusSpellStealFrameScaleText:SetPoint("BOTTOMRIGHT", MCFocusSpellStealFrameScale, "TOPRIGHT")
MCFocusSpellStealFrameScaleText:SetText(string.sub(MageCandy_Options.scale.mcfocusspellstealframe, 1, 4))
-----------------------------------------------------------------------
y = y + (yoff * 2)
CreateFrame("Slider","MCStolenSpellsFrameScale", MageCandy.ssmonitor)
MCStolenSpellsFrameScale:SetPoint("TOPLEFT", 15, y)
MCStolenSpellsFrameScale:SetWidth(600)
MCStolenSpellsFrameScale:SetHeight(20)
MCStolenSpellsFrameScale:SetOrientation("HORIZONTAL")
MCStolenSpellsFrameScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCStolenSpellsFrameScale:SetMinMaxValues(0.5,5)
MCStolenSpellsFrameScale:SetValue(0)
MCStolenSpellsFrameScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCStolenSpellsFrameScale:SetScript("OnValueChanged", function (self, value) MCStolenSpellsFrameScaleText:SetText(string.sub(value, 1, 4)) MCStolenSpellsFrame:SetScale(value) end)
MageCandy.ssmonitor:CreateFontString("MCStolenSpellsFrameScaleHeader", "OVERLAY", "GameFontNormal")
MCStolenSpellsFrameScaleHeader:SetPoint("BOTTOMLEFT", MCStolenSpellsFrameScale, "TOPLEFT")
MCStolenSpellsFrameScaleHeader:SetText(MageCandyLocal["SPELLSTEAL_MONITOR_STOLEN_SCALE"])
MageCandy.ssmonitor:CreateFontString("MCStolenSpellsFrameScaleText", "OVERLAY", "GameFontNormal")
MCStolenSpellsFrameScaleText:SetPoint("BOTTOMRIGHT", MCStolenSpellsFrameScale, "TOPRIGHT")
MCStolenSpellsFrameScaleText:SetText(string.sub(MageCandy_Options.scale.mcstolenspellsframe, 1, 4))
-----------------------------------------------------------------------
y = y + (yoff * 2)
CreateFrame("Slider","MCSpellStealNotificationScale", MageCandy.ssmonitor)
MCSpellStealNotificationScale:SetPoint("TOPLEFT", 15, y)
MCSpellStealNotificationScale:SetWidth(600)
MCSpellStealNotificationScale:SetHeight(20)
MCSpellStealNotificationScale:SetOrientation("HORIZONTAL")
MCSpellStealNotificationScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCSpellStealNotificationScale:SetMinMaxValues(0.5,5)
MCSpellStealNotificationScale:SetValue(0)
MCSpellStealNotificationScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCSpellStealNotificationScale:SetScript("OnValueChanged", function (self, value) 
MCSpellStealNotificationScaleText:SetText(string.sub(value, 1, 4)) 
MCSpellStealNotification:SetWidth(32 * value)
MCSpellStealNotification:SetHeight(32 * value)
end)
MageCandy.ssmonitor:CreateFontString("MCSpellStealNotificationScaleHeader", "OVERLAY", "GameFontNormal")
MCSpellStealNotificationScaleHeader:SetPoint("BOTTOMLEFT", MCSpellStealNotificationScale, "TOPLEFT")
MCSpellStealNotificationScaleHeader:SetText(MageCandyLocal["SPELLSTEAL_MONITOR_NOTIFICATION_SCALE"])
MageCandy.ssmonitor:CreateFontString("MCSpellStealNotificationScaleText", "OVERLAY", "GameFontNormal")
MCSpellStealNotificationScaleText:SetPoint("BOTTOMRIGHT", MCSpellStealNotificationScale, "TOPRIGHT")
MCSpellStealNotificationScaleText:SetText(string.sub(MageCandy_Options.scale.mcspellstealnotification, 1, 4))

MageCandy.ssmonitor:Hide()
-------------------------------------------------------------------


--Timers---------------------------------------------------------------
MageCandy.timers = CreateFrame("Frame", "MCTimersOptions", MCOptionsFrame)
MageCandy.timers:SetWidth(625)
MageCandy.timers:SetHeight(570)
MageCandy.timers:SetPoint("LEFT", MCOptionsFrameButtons, "RIGHT", 5, 0)
MageCandy.timers.name = MageCandyLocal["TIMERS"]

MCTimersScrollFrame = CreateFrame("ScrollFrame", "MCTimersScrollFrame", MageCandy.timers)
MCTimersScrollFrame:SetPoint("TOPLEFT", 10, -10) 
MCTimersScrollFrame:SetPoint("BOTTOMRIGHT", -30, 40) 

MCTimersContent = CreateFrame("Frame", "MCTimersContent", MCTimersScrollFrame)
MCTimersContent:SetPoint("CENTER")
MCTimersContent:SetWidth(580)
MCTimersContent:SetHeight(2000)
MCTimersScrollFrame:SetScrollChild(MCTimersContent)

MCTimersScroll = CreateFrame("Slider", "MCTimersScroll", MCTimersScrollFrame, "UIPanelScrollBarTemplate")
MCTimersScroll:SetOrientation("VERTICAL")
MCTimersScroll:SetWidth(20)
MCTimersScroll:SetHeight(450)
MCTimersScroll:SetPoint("RIGHT", MageCandy.timers, "RIGHT", -5, 0)
MCTimersScroll:SetThumbTexture("Interface\\Buttons\\UI-ScrollBar-Knob")
MCTimersScroll:SetValueStep(20)
MCTimersScroll:SetValue(0)
MCTimersContent:SetScript("OnMouseWheel", function(self, delta)
local scroll = MCTimersScroll:GetValue()
if delta > 0  then
MCTimersScroll:SetValue(scroll - MCTimersScroll:GetValueStep())
elseif delta < 0 then
MCTimersScroll:SetValue(scroll + MCTimersScroll:GetValueStep())
end
end)

x = 50
y = 0
local spacey, scaley = 60, 45
y = y - 20
MCArcaneBlastTimerShow = CreateFrame("CheckButton", "MCArcaneChargeTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCArcaneChargeTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCArcaneChargeTimerShowText:SetText(MageCandyLocal["ARCANE_CHARGE_TIMER_SHOW"])
MCArcaneChargeTimerShow:SetChecked(MageCandy_Options.show.mcarcanechargetimer)
MCArcaneChargeTimerShowIcon = MCArcaneChargeTimerShow:CreateTexture("$parent_Icon")
MCArcaneChargeTimerShowIcon:SetTexture("Interface\\Icons\\Spell_Arcane_Arcane01")
MCArcaneChargeTimerShowIcon:SetWidth(32)
MCArcaneChargeTimerShowIcon:SetHeight(32)
MCArcaneChargeTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCArcaneChargeTimerScale = CreateFrame("Slider","MCArcaneChargeTimerScale", MCTimersContent)
MCArcaneChargeTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCArcaneChargeTimerScale:SetWidth(300)
MCArcaneChargeTimerScale:SetHeight(20)
MCArcaneChargeTimerScale:SetOrientation("HORIZONTAL")
MCArcaneChargeTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCArcaneChargeTimerScale:SetMinMaxValues(0.5,2)
MCArcaneChargeTimerScale:SetValue(0)
MCArcaneChargeTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCArcaneChargeTimerScale:SetScript("OnValueChanged", function (self, value) MCArcaneChargeTimerScaleValue:SetText(string.sub(value, 1, 4)) MCArcaneChargeTimer:SetScale(value) end)
MCArcaneChargeTimerScaleHeader = MCTimersContent:CreateFontString("MCArcaneChargeTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCArcaneChargeTimerScaleHeader:SetPoint("BOTTOMLEFT", MCArcaneChargeTimerScale, "TOPLEFT")
MCArcaneChargeTimerScaleHeader:SetText(MageCandyLocal["ARCANE_CHARGE_TIMER_SCALE"])
MCArcaneChargeTimerScaleValue = MCTimersContent:CreateFontString("MCArcaneChargeTimerScaleValue", "OVERLAY", "GameFontNormal")
MCArcaneChargeTimerScaleValue:SetPoint("BOTTOMRIGHT", MCArcaneChargeTimerScale, "TOPRIGHT")
MCArcaneChargeTimerScaleValue:SetText(string.sub(MageCandy_Options.scale.mcarcanechargetimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MCArcaneMissilesTimerShow = CreateFrame("CheckButton", "MCArcaneMissilesTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCArcaneMissilesTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCArcaneMissilesTimerShowText:SetText(MageCandyLocal["ARCANE_MISSILES_TIMER_SHOW"])
MCArcaneMissilesTimerShow:SetChecked(MageCandy_Options.show.mcarcanemissilestimer)
MCArcaneMissilesTimerShowIcon = MCArcaneMissilesTimerShow:CreateTexture("$parent_Icon")
MCArcaneMissilesTimerShowIcon:SetTexture("Interface\\Icons\\Spell_Nature_StarFall")
MCArcaneMissilesTimerShowIcon:SetWidth(32)
MCArcaneMissilesTimerShowIcon:SetHeight(32)
MCArcaneMissilesTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCArcaneMissilesTimerScale = CreateFrame("Slider","MCArcaneMissilesTimerScale", MCTimersContent)
MCArcaneMissilesTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCArcaneMissilesTimerScale:SetWidth(300)
MCArcaneMissilesTimerScale:SetHeight(20)
MCArcaneMissilesTimerScale:SetOrientation("HORIZONTAL")
MCArcaneMissilesTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCArcaneMissilesTimerScale:SetMinMaxValues(0.5,2)
MCArcaneMissilesTimerScale:SetValue(0)
MCArcaneMissilesTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCArcaneMissilesTimerScale:SetScript("OnValueChanged", function (self, value) MCArcaneMissilesTimerScaleValue:SetText(string.sub(value, 1, 4)) MCArcaneMissilesTimer:SetScale(value) end)
MCArcaneMissilesTimerScaleHeader = MCTimersContent:CreateFontString("MCArcaneMissilesTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCArcaneMissilesTimerScaleHeader:SetPoint("BOTTOMLEFT", MCArcaneMissilesTimerScale, "TOPLEFT")
MCArcaneMissilesTimerScaleHeader:SetText(MageCandyLocal["ARCANE_MISSILES_TIMER_SCALE"])
MCArcaneMissilesTimerScaleValue = MCTimersContent:CreateFontString("MCArcaneMissilesTimerScaleValue", "OVERLAY", "GameFontNormal")
MCArcaneMissilesTimerScaleValue:SetPoint("BOTTOMRIGHT", MCArcaneMissilesTimerScale, "TOPRIGHT")
MCArcaneMissilesTimerScaleValue:SetText(string.sub(MageCandy_Options.scale.mcarcanemissilestimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MCArcanePowerTimerShow = CreateFrame("CheckButton", "MCArcanePowerTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCArcanePowerTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCArcanePowerTimerShowText:SetText(MageCandyLocal["ARCANE_POWER_TIMER_SHOW"])
MCArcanePowerTimerShow:SetChecked(MageCandy_Options.show.mcarcanepowertimer)
MCArcanePowerTimerShowIcon = MCArcanePowerTimerShow:CreateTexture("$parent_Icon")
MCArcanePowerTimerShowIcon:SetTexture("Interface\\Icons\\Spell_Nature_Lightning")
MCArcanePowerTimerShowIcon:SetWidth(32)
MCArcanePowerTimerShowIcon:SetHeight(32)
MCArcanePowerTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCArcanePowerTimerScale = CreateFrame("Slider","MCArcanePowerTimerScale", MCTimersContent)
MCArcanePowerTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCArcanePowerTimerScale:SetWidth(300)
MCArcanePowerTimerScale:SetHeight(20)
MCArcanePowerTimerScale:SetOrientation("HORIZONTAL")
MCArcanePowerTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCArcanePowerTimerScale:SetMinMaxValues(0.5,2)
MCArcanePowerTimerScale:SetValue(0)
MCArcanePowerTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCArcanePowerTimerScale:SetScript("OnValueChanged", function (self, value) MCArcanePowerTimerScaleValue:SetText(string.sub(value, 1, 4)) MCArcanePowerTimer:SetScale(value) end)
MCArcanePowerTimerScaleHeader = MCTimersContent:CreateFontString("MCArcanePowerTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCArcanePowerTimerScaleHeader:SetPoint("BOTTOMLEFT", MCArcanePowerTimerScale, "TOPLEFT")
MCArcanePowerTimerScaleHeader:SetText(MageCandyLocal["ARCANE_POWER_TIMER_SCALE"])
MCArcanePowerTimerScaleValue = MCTimersContent:CreateFontString("MCArcanePowerTimerScaleValue", "OVERLAY", "GameFontNormal")
MCArcanePowerTimerScaleValue:SetPoint("BOTTOMRIGHT", MCArcanePowerTimerScale, "TOPRIGHT")
MCArcanePowerTimerScaleValue:SetText(string.sub(MageCandy_Options.scale.mcarcanepowertimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MCBrainFreezeTimerShow = CreateFrame("CheckButton", "MCBrainFreezeTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCBrainFreezeTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCBrainFreezeTimerShowText:SetText(MageCandyLocal["BRAIN_FREEZE_TIMER_SHOW"])
MCBrainFreezeTimerShow:SetChecked(MageCandy_Options.show.mcbrainfreezetimer)
MCBrainFreezeTimerShowIcon = MCBrainFreezeTimerShow:CreateTexture("$parent_Icon")
MCBrainFreezeTimerShowIcon:SetTexture("Interface\\Icons\\Ability_Mage_BrainFreeze")
MCBrainFreezeTimerShowIcon:SetWidth(32)
MCBrainFreezeTimerShowIcon:SetHeight(32)
MCBrainFreezeTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCBrainFreezeTimerScale = CreateFrame("Slider","MCBrainFreezeTimerScale", MCTimersContent)
MCBrainFreezeTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCBrainFreezeTimerScale:SetWidth(300)
MCBrainFreezeTimerScale:SetHeight(20)
MCBrainFreezeTimerScale:SetOrientation("HORIZONTAL")
MCBrainFreezeTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCBrainFreezeTimerScale:SetMinMaxValues(0.5,2)
MCBrainFreezeTimerScale:SetValue(0)
MCBrainFreezeTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCBrainFreezeTimerScale:SetScript("OnValueChanged", function (self, value) MCBrainFreezeTimerScaleValue:SetText(string.sub(value, 1, 4)) MCBrainFreezeTimer:SetScale(value) end)
MCBrainFreezeTimerScaleHeader = MCTimersContent:CreateFontString("MCBrainFreezeTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCBrainFreezeTimerScaleHeader:SetPoint("BOTTOMLEFT", MCBrainFreezeTimerScale, "TOPLEFT")
MCBrainFreezeTimerScaleHeader:SetText(MageCandyLocal["BRAIN_FREEZE_TIMER_SCALE"])
MCBrainFreezeTimerScaleValue = MCTimersContent:CreateFontString("MCBrainFreezeTimerScaleValue", "OVERLAY", "GameFontNormal")
MCBrainFreezeTimerScaleValue:SetPoint("BOTTOMRIGHT", MCBrainFreezeTimerScale, "TOPRIGHT")
MCBrainFreezeTimerScaleValue:SetText(string.sub(MageCandy_Options.scale.mcbrainfreezetimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MCIcyVeinsTimerShow = CreateFrame("CheckButton", "MCIcyVeinsTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCIcyVeinsTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCIcyVeinsTimerShowText:SetText(MageCandyLocal["ICY_VEINS_TIMER_SHOW"])
MCIcyVeinsTimerShow:SetChecked(MageCandy_Options.show.mcicyveinstimer)
MCIcyVeinsTimerShowIcon = MCIcyVeinsTimerShow:CreateTexture("$parent_Icon")
MCIcyVeinsTimerShowIcon:SetTexture("Interface\\Icons\\Spell_Frost_ColdHearted")
MCIcyVeinsTimerShowIcon:SetWidth(32)
MCIcyVeinsTimerShowIcon:SetHeight(32)
MCIcyVeinsTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCIcyVeinsTimerScale = CreateFrame("Slider","MCIcyVeinsTimerScale", MCTimersContent)
MCIcyVeinsTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCIcyVeinsTimerScale:SetWidth(300)
MCIcyVeinsTimerScale:SetHeight(20)
MCIcyVeinsTimerScale:SetOrientation("HORIZONTAL")
MCIcyVeinsTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCIcyVeinsTimerScale:SetMinMaxValues(0.5,2)
MCIcyVeinsTimerScale:SetValue(0)
MCIcyVeinsTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCIcyVeinsTimerScale:SetScript("OnValueChanged", function (self, value) MCIcyVeinsTimerScaleValue:SetText(string.sub(value, 1, 4)) MCIcyVeinsTimer:SetScale(value) end)
MCIcyVeinsTimerScaleHeader = MCTimersContent:CreateFontString("MCIcyVeinsTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCIcyVeinsTimerScaleHeader:SetPoint("BOTTOMLEFT", MCIcyVeinsTimerScale, "TOPLEFT")
MCIcyVeinsTimerScaleHeader:SetText(MageCandyLocal["ICY_VEINS_TIMER_SCALE"])
MCIcyVeinsTimerScaleValue = MCTimersContent:CreateFontString("MCIcyVeinsTimerScaleValue", "OVERLAY", "GameFontNormal")
MCIcyVeinsTimerScaleValue:SetPoint("BOTTOMRIGHT", MCIcyVeinsTimerScale, "TOPRIGHT")
MCIcyVeinsTimerScaleValue:SetText(string.sub(MageCandy_Options.scale.mcicyveinstimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MCMirrorImageTimerShow = CreateFrame("CheckButton", "MCMirrorImageTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCMirrorImageTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCMirrorImageTimerShowText:SetText(MageCandyLocal["MIRROR_IMAGE_TIMER_SHOW"])
MCMirrorImageTimerShow:SetChecked(MageCandy_Options.show.mcmirrorimagetimer)
MCMirrorImageTimerShowIcon = MCMirrorImageTimerShow:CreateTexture("$parent_Icon")
MCMirrorImageTimerShowIcon:SetTexture("Interface\\Icons\\Spell_Magic_LesserInvisibilty")
MCMirrorImageTimerShowIcon:SetWidth(32)
MCMirrorImageTimerShowIcon:SetHeight(32)
MCMirrorImageTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCMirrorImageTimerScale = CreateFrame("Slider","MCMirrorImageTimerScale", MCTimersContent)
MCMirrorImageTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCMirrorImageTimerScale:SetWidth(300)
MCMirrorImageTimerScale:SetHeight(20)
MCMirrorImageTimerScale:SetOrientation("HORIZONTAL")
MCMirrorImageTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCMirrorImageTimerScale:SetMinMaxValues(0.5,2)
MCMirrorImageTimerScale:SetValue(0)
MCMirrorImageTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCMirrorImageTimerScale:SetScript("OnValueChanged", function (self, value) MCMirrorImageTimerScaleValue:SetText(string.sub(value, 1, 4)) MCMirrorImageTimer:SetScale(value) end)
MCMirrorImageTimerScaleHeader = MCTimersContent:CreateFontString("MCMirrorImageTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCMirrorImageTimerScaleHeader:SetPoint("BOTTOMLEFT", MCMirrorImageTimerScale, "TOPLEFT")
MCMirrorImageTimerScaleHeader:SetText(MageCandyLocal["MIRROR_IMAGE_TIMER_SCALE"])
MCMirrorImageTimerScaleValue = MCTimersContent:CreateFontString("MCMirrorImageTimerScaleValue", "OVERLAY", "GameFontNormal")
MCMirrorImageTimerScaleValue:SetPoint("BOTTOMRIGHT", MCMirrorImageTimerScale, "TOPRIGHT")
MCMirrorImageTimerScaleValue:SetText(string.sub(MageCandy_Options.scale.mcmirrorimagetimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MCPyroblastTimerShow = CreateFrame("CheckButton", "MCPyroblastTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCPyroblastTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCPyroblastTimerShowText:SetText(MageCandyLocal["PYROBLAST_TIMER_SHOW"])
MCPyroblastTimerShow:SetChecked(MageCandy_Options.show.mcpyroblasttimer)
MCPyroblastTimerShowIcon = MCPyroblastTimerShow:CreateTexture("$parent_Icon")
MCPyroblastTimerShowIcon:SetTexture("Interface\\Icons\\Ability_Mage_Hotstreak")
MCPyroblastTimerShowIcon:SetWidth(32)
MCPyroblastTimerShowIcon:SetHeight(32)
MCPyroblastTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCPyroblastTimerScale = CreateFrame("Slider","MCPyroblastTimerScale", MCTimersContent)
MCPyroblastTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCPyroblastTimerScale:SetWidth(300)
MCPyroblastTimerScale:SetHeight(20)
MCPyroblastTimerScale:SetOrientation("HORIZONTAL")
MCPyroblastTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCPyroblastTimerScale:SetMinMaxValues(0.5,2)
MCPyroblastTimerScale:SetValue(0)
MCPyroblastTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCPyroblastTimerScale:SetScript("OnValueChanged", function (self, value) MCPyroblastTimerScaleValue:SetText(string.sub(value, 1, 4)) MCPyroblastTimer:SetScale(value) end)
MCPyroblastTimerScaleHeader = MCTimersContent:CreateFontString("MCPyroblastTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCPyroblastTimerScaleHeader:SetPoint("BOTTOMLEFT", MCPyroblastTimerScale, "TOPLEFT")
MCPyroblastTimerScaleHeader:SetText(MageCandyLocal["PYROBLAST_TIMER_SCALE"])
MCPyroblastTimerScaleValue = MCTimersContent:CreateFontString("MCPyroblastTimerScaleValue", "OVERLAY", "GameFontNormal")
MCPyroblastTimerScaleValue:SetPoint("BOTTOMRIGHT", MCPyroblastTimerScale, "TOPRIGHT")
MCPyroblastTimerScaleValue:SetText(string.sub(MageCandy_Options.scale.mcpyroblasttimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MCRingOfFrostTimerShow = CreateFrame("CheckButton", "MCRingOfFrostTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCRingOfFrostTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCRingOfFrostTimerShowText:SetText(MageCandyLocal["RING_OF_FROST_TIMER_SHOW"])
MCRingOfFrostTimerShow:SetChecked(MageCandy_Options.show.mcringoffrosttimer)
MCRingOfFrostTimerShowIcon = MCRingOfFrostTimerShow:CreateTexture("$parent_Icon")
MCRingOfFrostTimerShowIcon:SetTexture("INTERFACE\\ICONS\\spell_frost_ring of frost")
MCRingOfFrostTimerShowIcon:SetWidth(32)
MCRingOfFrostTimerShowIcon:SetHeight(32)
MCRingOfFrostTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCRingOfFrostTimerScale = CreateFrame("Slider","MCRingOfFrostTimerScale", MCTimersContent)
MCRingOfFrostTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCRingOfFrostTimerScale:SetWidth(300)
MCRingOfFrostTimerScale:SetHeight(20)
MCRingOfFrostTimerScale:SetOrientation("HORIZONTAL")
MCRingOfFrostTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCRingOfFrostTimerScale:SetMinMaxValues(0.5,2)
MCRingOfFrostTimerScale:SetValue(0)
MCRingOfFrostTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCRingOfFrostTimerScale:SetScript("OnValueChanged", function (self, value) MCRingOfFrostTimerScaleValue:SetText(string.sub(value, 1, 4)) MCRingOfFrostTimer:SetScale(value) end)
MCRingOfFrostTimerScaleHeader = MCTimersContent:CreateFontString("MCRingOfFrostTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCRingOfFrostTimerScaleHeader:SetPoint("BOTTOMLEFT", MCRingOfFrostTimerScale, "TOPLEFT")
MCRingOfFrostTimerScaleHeader:SetText(MageCandyLocal["RING_OF_FROST_TIMER_SCALE"])
MCRingOfFrostTimerScaleValue = MCTimersContent:CreateFontString("MCRingOfFrostTimerScaleValue", "OVERLAY", "GameFontNormal")
MCRingOfFrostTimerScaleValue:SetPoint("BOTTOMRIGHT", MCRingOfFrostTimerScale, "TOPRIGHT")
MCRingOfFrostTimerScaleValue:SetText(string.sub(MageCandy_Options.scale.mcringoffrosttimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MCFingersOfFrostTimerShow = CreateFrame("CheckButton", "MCFingersOfFrostTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCFingersOfFrostTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCFingersOfFrostTimerShowText:SetText(MageCandyLocal["FINGERS_OF_FROST_TIMER_SHOW"])
MCFingersOfFrostTimerShow:SetChecked(MageCandy_Options.show.mcfingersoffrosttimer)
MCFingersOfFrostTimerShowIcon = MCFingersOfFrostTimerShow:CreateTexture("$parent_Icon")
MCFingersOfFrostTimerShowIcon:SetTexture("Interface\\Icons\\Ability_Mage_WintersGrasp")
MCFingersOfFrostTimerShowIcon:SetWidth(32)
MCFingersOfFrostTimerShowIcon:SetHeight(32)
MCFingersOfFrostTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCFingersOfFrostTimerScale = CreateFrame("Slider","MCFingersOfFrostTimerScale", MCTimersContent)
MCFingersOfFrostTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCFingersOfFrostTimerScale:SetWidth(300)
MCFingersOfFrostTimerScale:SetHeight(20)
MCFingersOfFrostTimerScale:SetOrientation("HORIZONTAL")
MCFingersOfFrostTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCFingersOfFrostTimerScale:SetMinMaxValues(0.5,2)
MCFingersOfFrostTimerScale:SetValue(0)
MCFingersOfFrostTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCFingersOfFrostTimerScale:SetScript("OnValueChanged", function (self, value) MCFingersOfFrostTimerScaleValue:SetText(string.sub(value, 1, 4)) MCFingersOfFrostTimer:SetScale(value) end)
MCFingersOfFrostTimerScaleHeader = MCTimersContent:CreateFontString("MCFingersOfFrostTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCFingersOfFrostTimerScaleHeader:SetPoint("BOTTOMLEFT", MCFingersOfFrostTimerScale, "TOPLEFT")
MCFingersOfFrostTimerScaleHeader:SetText(MageCandyLocal["FINGERS_OF_FROST_TIMER_SCALE"])
MCFingersOfFrostTimerScaleValue = MCTimersContent:CreateFontString("MCFingersOfFrostTimerScaleValue", "OVERLAY", "GameFontNormal")
MCFingersOfFrostTimerScaleValue:SetPoint("BOTTOMRIGHT", MCFingersOfFrostTimerScale, "TOPRIGHT")
MCFingersOfFrostTimerScaleValue:SetText(string.sub(MageCandy_Options.scale.mcfingersoffrosttimer, 1, 4))
--------------------------------------------------------------------------------
y = y - spacey
MCFrozenOrbTimerShow = CreateFrame("CheckButton", "MCFrozenOrbTimerShow", MCTimersContent, "ChatConfigCheckButtonTemplate")
MCFrozenOrbTimerShow:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCFrozenOrbTimerShowText:SetText(MageCandyLocal["FROZEN_ORB_TIMER_SHOW"])
MCFrozenOrbTimerShow:SetChecked(MageCandy_Options.show.mcfrozenorbtimer)
MCFrozenOrbTimerShowIcon = MCFrozenOrbTimerShow:CreateTexture("$parent_Icon")
MCFrozenOrbTimerShowIcon:SetTexture("Interface\\Icons\\spell_frost_frozenorb")
MCFrozenOrbTimerShowIcon:SetWidth(32)
MCFrozenOrbTimerShowIcon:SetHeight(32)
MCFrozenOrbTimerShowIcon:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x - 41, y + 4)
y = y - scaley
MCFrozenOrbTimerScale = CreateFrame("Slider","MCFrozenOrbTimerScale", MCTimersContent)
MCFrozenOrbTimerScale:SetPoint("TOPLEFT", MCTimersContent, "TOPLEFT", x, y)
MCFrozenOrbTimerScale:SetWidth(300)
MCFrozenOrbTimerScale:SetHeight(20)
MCFrozenOrbTimerScale:SetOrientation("HORIZONTAL")
MCFrozenOrbTimerScale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MCFrozenOrbTimerScale:SetMinMaxValues(0.5,2)
MCFrozenOrbTimerScale:SetValue(0)
MCFrozenOrbTimerScale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MCFrozenOrbTimerScale:SetScript("OnValueChanged", function (self, value) MCFrozenOrbTimerScaleValue:SetText(string.sub(value, 1, 4)) MCFrozenOrbTimer:SetScale(value) end)
MCFrozenOrbTimerScaleHeader = MCTimersContent:CreateFontString("MCFrozenOrbTimerScaleHeader", "OVERLAY", "GameFontNormal")
MCFrozenOrbTimerScaleHeader:SetPoint("BOTTOMLEFT", MCFrozenOrbTimerScale, "TOPLEFT")
MCFrozenOrbTimerScaleHeader:SetText(MageCandyLocal["FROZEN_ORB_TIMER_SCALE"])
MCFrozenOrbTimerScaleValue = MCTimersContent:CreateFontString("MCFrozenOrbTimerScaleValue", "OVERLAY", "GameFontNormal")
MCFrozenOrbTimerScaleValue:SetPoint("BOTTOMRIGHT", MCFrozenOrbTimerScale, "TOPRIGHT")
MCFrozenOrbTimerScaleValue:SetText(string.sub(MageCandy_Options.scale.mcfrozenorbtimer, 1, 4))

MageCandy.timers:Hide()
--------------------------------------------------------------------------------
MCTimersScroll:SetMinMaxValues(0, (abs(y)/60)*40 + 200)
MCTimersScroll:SetValue(0)


for frame in pairs(MageCandy) do
MenuButtons = MenuButtons + 1
end

local buttoncount = 0
for frame, MenuButtons in pairs(MageCandy) do
local button = CreateFrame("Button", "$parentButton"..buttoncount + 1, MCOptionsFrameButtons)
button.parent = MageCandy[frame]
button.clicked = false
button:SetWidth(160)
button:SetHeight(20)
if button == MCOptionsFrameButtonsButton1 then
button:SetPoint("TOPLEFT", 10, -10)
else
button:SetPoint("TOP", _G["MCOptionsFrameButtonsButton"..buttoncount], "BOTTOM")
end
button:SetScript("OnEnter", MageCandy_MenuOnEnter)
button:SetScript("OnLeave", MageCandy_MenuOnLeave)
button:SetScript("OnClick", MageCandy_MenuOnClick)
text = button:CreateFontString("$parentText", "OVERLAY", "GameFontNormal")
text:SetPoint("LEFT")
text:SetJustifyH("LEFT")
text:SetTextColor(1, 0.83, 0)
text:SetText(MageCandy[frame].name)
highlight = button:CreateTexture("$parentHighlight")
highlight:SetAllPoints()
highlight:Hide()
buttoncount = buttoncount + 1
end

end



SLASH_MAGECANDY1 = "/mc"
SLASH_MAGECANDY2 = "/magecandy"
SlashCmdList["MAGECANDY"] = function()
for idx = 1, MenuButtons do
local frame = _G["MCOptionsFrameButtonsButton"..idx]
frame.clicked = false
_G["MCOptionsFrameButtonsButton"..idx.."Highlight"]:Hide()
_G["MCOptionsFrameButtonsButton"..idx.."Text"]:SetTextColor(1, 0.83, 0)
frame.parent:Hide()
end
MCOptionsFrameButtonsButton1.clicked = true
MCOptionsFrameButtonsButton1Highlight:Show()
MCOptionsFrameButtonsButton1Highlight:SetTexture(1, 1, 0, 0.6)
MCOptionsFrameButtonsButton1Text:SetTextColor(1, 1, 1)
MageCandy.panel:Show()
MCOptionsFrame:Show()
end


function MageCandy_Cancel()
MCManaBarTextHeight:SetValue(MageCandy_Options.manabartextheight)
MCHealthBarTextHeight:SetValue(MageCandy_Options.healthbartextheight)
MCSpellStealMonitorFlipBuffs:SetChecked(MageCandy_Options.flipbuffs)
MCEnableSpellStealMonitor:SetChecked(MageCandy_Options.enablespellstealmonitor)
MCLockFrames:SetChecked(MageCandy_Options.lockframes)
MCTargetSpellStealFrameScale:SetValue(MageCandy_Options.scale.mctargetspellstealframe)
MCFocusSpellStealFrameScale:SetValue(MageCandy_Options.scale.mcfocusspellstealframe)
MCStolenSpellsFrameScale:SetValue(MageCandy_Options.scale.mcstolenspellsframe)
MCSpellStealNotificationScale:SetValue(MageCandy_Options.scale.mcspellstealnotification)
MCSpellStealMessageShow:SetChecked(MageCandy_Options.show.mcspellstealmessage)
MCSpellStealMonitorBackgroundShow:SetChecked(MageCandy_Options.show.mcspellstealmonitorbackground)
MCSpellStealMonitorHeaderShow:SetChecked(MageCandy_Options.show.mcspellstealmonitorheader)
MCTargetSpellStealFrameShow:SetChecked(MageCandy_Options.show.mctargetspellstealframe)
MCFocusSpellStealFrameShow:SetChecked(MageCandy_Options.show.mcfocusspellstealframe)
MCStolenSpellsFrameShow:SetChecked(MageCandy_Options.show.mcstolenspellsframe)
MCSpellStealNotificationShow:SetChecked(MageCandy_Options.show.mcspellstealnotification)
MCPolymorphMonitorScale:SetValue(MageCandy_Options.scale.mcpolymorphmonitor)
MCPolymorphMonitorShow:SetChecked(MageCandy_Options.show.mcpolymorphmonitor)
MCPolymorphApplyNotificationShow:SetChecked(MageCandy_Options.show.polymorphapplynotification)
MCPolymorphRemoveNotificationShow:SetChecked(MageCandy_Options.show.polymorphremovenotification)
MCEnablePolymorphMonitor:SetChecked(MageCandy_Options.enablepolymorphmonitor)
MCArcaneChargeTimerScale:SetValue(MageCandy_Options.scale.mcarcanechargetimer)
MCArcaneChargeTimerShow:SetChecked(MageCandy_Options.show.mcarcanechargetimer)
MCArcaneMissilesTimerScale:SetValue(MageCandy_Options.scale.mcarcanemissilestimer)
MCArcaneMissilesTimerShow:SetChecked(MageCandy_Options.show.mcarcanemissilestimer)
MCArcanePowerTimerScale:SetValue(MageCandy_Options.scale.mcarcanepowertimer)
MCArcanePowerTimerShow:SetChecked(MageCandy_Options.show.mcarcanepowertimer)
MCBrainFreezeTimerScale:SetValue(MageCandy_Options.scale.mcbrainfreezetimer)
MCBrainFreezeTimerShow:SetChecked(MageCandy_Options.show.mcbrainfreezetimer)
MCFingersOfFrostTimerScale:SetValue(MageCandy_Options.scale.mcfingersoffrosttimer)
MCFingersOfFrostTimerShow:SetChecked(MageCandy_Options.show.mcfingersoffrosttimer)
MCIcyVeinsTimerScale:SetValue(MageCandy_Options.scale.mcicyveinstimer)
MCIcyVeinsTimerShow:SetChecked(MageCandy_Options.show.mcicyveinstimer)
MCFrozenOrbTimerScale:SetValue(MageCandy_Options.scale.mcfrozenorbtimer)
MCFrozenOrbTimerShow:SetChecked(MageCandy_Options.show.mcfrozenorbtimer)
MCRingOfFrostTimerScale:SetValue(MageCandy_Options.scale.mcringoffrosttimer)
MCRingOfFrostTimerShow:SetChecked(MageCandy_Options.show.mcringoffrosttimer)
MCPyroblastTimerScale:SetValue(MageCandy_Options.scale.mcpyroblasttimer)
MCPyroblastTimerShow:SetChecked(MageCandy_Options.show.mcpyroblasttimer)
MCMirrorImageTimerScale:SetValue(MageCandy_Options.scale.mcmirrorimagetimer)
MCMirrorImageTimerShow:SetChecked(MageCandy_Options.show.mcmirrorimagetimer)
MCCauterizeNotificationScale:SetValue(MageCandy_Options.scale.mccauterizenotification)
MCCauterizeNotificationShow:SetChecked(MageCandy_Options.show.mccauterizenotification)
MCLazyMageScale:SetValue(MageCandy_Options.scale.mclazymage)
MCLazyMageShow:SetChecked(MageCandy_Options.show.mclazymage)
MCLazyMageNotFullChargesShow:SetChecked(MageCandy_Options.show.lazymagenotfullcharges)
MCPolymorphAnnounceShow:SetChecked(MageCandy_Options.show.polymorphannounce)
MCManaBarScale:SetValue(MageCandy_Options.scale.mcmanabar)
MCManaBarWidth:SetValue(MageCandy_Options.manabarwidth)
MCManaBarHeight:SetValue(MageCandy_Options.manabarheight)
MCHealthBarHeight:SetValue(MageCandy_Options.healthbarheight)
MCEnableHealthBar:SetChecked(MageCandy_Options.enablehealthbar)
MCEnableManaBar:SetChecked(MageCandy_Options.enablemanabar)
MCManaBarPercent:SetChecked(MageCandy_Options.show.manabarpercent)
MCManaBarNumber:SetChecked(MageCandy_Options.show.manabarnumber)
MCManaBarMax:SetChecked(MageCandy_Options.show.manabarmax)
MCHealthBarPercent:SetChecked(MageCandy_Options.show.healthbarpercent)
MCHealthBarNumber:SetChecked(MageCandy_Options.show.healthbarnumber)
MCHealthBarMax:SetChecked(MageCandy_Options.show.healthbarmax)
MCManaBarReserveShow:SetChecked(MageCandy_Options.show.mcmanabarreserve)
MCManaBarMarker1Show:SetChecked(MageCandy_Options.show.mcmanabarmarker1)
MCManaBarMarker2Show:SetChecked(MageCandy_Options.show.mcmanabarmarker2)
MCManaBarMarker3Show:SetChecked(MageCandy_Options.show.mcmanabarmarker3)
MCManaBarReserveInput:SetText("")
MCManaBarMarker1Input:SetText("")
MCManaBarMarker2Input:SetText("")
MCManaBarMarker3Input:SetText("")
MCManaBarReserveInput:SetText(MageCandy_Options.input.mcmanabarreserve)
MCManaBarMarker1Input:SetText(MageCandy_Options.input.mcmanabarmarker1)
MCManaBarMarker2Input:SetText(MageCandy_Options.input.mcmanabarmarker2)
MCManaBarMarker3Input:SetText(MageCandy_Options.input.mcmanabarmarker3)
MCCalculatorSpellInput:SetText(MageCandy_Options.input.calculatorspell)

if MCtimerbypass == 0 then
MageCandy_UpdateUI()
end
end

function MageCandy_Apply()
if MageCandy_Options.flipbuffs ~= MageCandy_Convert(MCSpellStealMonitorFlipBuffs:GetChecked()) then
MageCandy_Options.flipbuffs = MageCandy_Convert(MCSpellStealMonitorFlipBuffs:GetChecked())
MageCandy_RepositionBuffs()
else
MageCandy_Options.flipbuffs = MageCandy_Convert(MCSpellStealMonitorFlipBuffs:GetChecked())
end
if MageCandy_Options.manabartextheight ~= MageCandy_Round(MCManaBarTextHeight:GetValue()) then
MageCandy_ReloadUI()
elseif MageCandy_Options.healthbartextheight ~= MageCandy_Round(MCHealthBarTextHeight:GetValue()) then
MageCandy_ReloadUI()
end
MageCandy_Options.manabartextheight = MageCandy_Round(MCManaBarTextHeight:GetValue())
MageCandy_Options.healthbartextheight = MageCandy_Round(MCHealthBarTextHeight:GetValue())
MageCandy_Options.enablespellstealmonitor = MageCandy_Convert(MCEnableSpellStealMonitor:GetChecked())
MageCandy_Options.lockframes = MageCandy_Convert(MCLockFrames:GetChecked())
MageCandy_Options.scale.mctargetspellstealframe = MCTargetSpellStealFrameScale:GetValue()
MageCandy_Options.scale.mcfocusspellstealframe = MCFocusSpellStealFrameScale:GetValue()
MageCandy_Options.scale.mcstolenspellsframe = MCStolenSpellsFrameScale:GetValue()
MageCandy_Options.scale.mcspellstealnotification = MCSpellStealNotificationScale:GetValue()
MageCandy_Options.show.mcspellstealmessage = MageCandy_Convert(MCSpellStealMessageShow:GetChecked())
MageCandy_Options.show.mcspellstealmonitorbackground = MageCandy_Convert(MCSpellStealMonitorBackgroundShow:GetChecked())
MageCandy_Options.show.mcspellstealmonitorheader = MageCandy_Convert(MCSpellStealMonitorHeaderShow:GetChecked())
MageCandy_Options.show.mctargetspellstealframe = MageCandy_Convert(MCTargetSpellStealFrameShow:GetChecked())
MageCandy_Options.show.mcfocusspellstealframe = MageCandy_Convert(MCFocusSpellStealFrameShow:GetChecked())
MageCandy_Options.show.mcstolenspellsframe = MageCandy_Convert(MCStolenSpellsFrameShow:GetChecked())
MageCandy_Options.show.mcspellstealnotification = MageCandy_Convert(MCSpellStealNotificationShow:GetChecked())
MageCandy_Options.scale.mcpolymorphmonitor = MCPolymorphMonitorScale:GetValue()
MageCandy_Options.show.mcpolymorphmonitor = MageCandy_Convert(MCPolymorphMonitorShow:GetChecked())
MageCandy_Options.show.polymorphapplynotification = MageCandy_Convert(MCPolymorphApplyNotificationShow:GetChecked())
MageCandy_Options.show.polymorphremovenotification = MageCandy_Convert(MCPolymorphRemoveNotificationShow:GetChecked())
MageCandy_Options.enablepolymorphmonitor = MageCandy_Convert(MCEnablePolymorphMonitor:GetChecked())
MageCandy_Options.scale.mcarcanechargetimer = MCArcaneChargeTimerScale:GetValue()
MageCandy_Options.show.mcarcanechargetimer = MageCandy_Convert(MCArcaneChargeTimerShow:GetChecked())
MageCandy_Options.scale.mcarcanemissilestimer = MCArcaneMissilesTimerScale:GetValue()
MageCandy_Options.show.mcarcanemissilestimer = MageCandy_Convert(MCArcaneMissilesTimerShow:GetChecked())
MageCandy_Options.scale.mcarcanepowertimer = MCArcanePowerTimerScale:GetValue()
MageCandy_Options.show.mcarcanepowertimer = MageCandy_Convert(MCArcanePowerTimerShow:GetChecked())
MageCandy_Options.scale.mcbrainfreezetimer = MCBrainFreezeTimerScale:GetValue()
MageCandy_Options.show.mcbrainfreezetimer = MageCandy_Convert(MCBrainFreezeTimerShow:GetChecked())
MageCandy_Options.scale.mcfingersoffrosttimer = MCFingersOfFrostTimerScale:GetValue()
MageCandy_Options.show.mcfingersoffrosttimer = MageCandy_Convert(MCFingersOfFrostTimerShow:GetChecked())
MageCandy_Options.scale.mcicyveinstimer = MCIcyVeinsTimerScale:GetValue()
MageCandy_Options.show.mcicyveinstimer = MageCandy_Convert(MCIcyVeinsTimerShow:GetChecked())
MageCandy_Options.scale.mcfrozenorbtimer = MCFrozenOrbTimerScale:GetValue()
MageCandy_Options.show.mcfrozenorbtimer = MageCandy_Convert(MCFrozenOrbTimerShow:GetChecked())
MageCandy_Options.scale.mcringoffrosttimer = MCRingOfFrostTimerScale:GetValue()
MageCandy_Options.show.mcringoffrosttimer = MageCandy_Convert(MCRingOfFrostTimerShow:GetChecked())
MageCandy_Options.scale.mcpyroblasttimer = MCPyroblastTimerScale:GetValue()
MageCandy_Options.show.mcpyroblasttimer = MageCandy_Convert(MCPyroblastTimerShow:GetChecked())
MageCandy_Options.scale.mcmirrorimagetimer = MCMirrorImageTimerScale:GetValue()
MageCandy_Options.show.mcmirrorimagetimer = MageCandy_Convert(MCMirrorImageTimerShow:GetChecked())
MageCandy_Options.scale.mccauterizenotification = MCCauterizeNotificationScale:GetValue()
MageCandy_Options.show.mccauterizenotification = MageCandy_Convert(MCCauterizeNotificationShow:GetChecked())
MageCandy_Options.scale.mclazymage = MCLazyMageScale:GetValue()
MageCandy_Options.show.mclazymage = MageCandy_Convert(MCLazyMageShow:GetChecked())
MageCandy_Options.show.lazymagenotfullcharges = MageCandy_Convert(MCLazyMageNotFullChargesShow:GetChecked())
MageCandy_Options.show.polymorphannounce = MageCandy_Convert(MCPolymorphAnnounceShow:GetChecked())
MageCandy_Options.scale.mcmanabar = MCManaBarScale:GetValue()
MageCandy_Options.manabarwidth = MCManaBarWidth:GetValue()
MageCandy_Options.manabarheight = MCManaBarHeight:GetValue()
MageCandy_Options.healthbarheight = MCHealthBarHeight:GetValue()
MageCandy_Options.enablehealthbar = MageCandy_Convert(MCEnableHealthBar:GetChecked())
MageCandy_Options.enablemanabar = MageCandy_Convert(MCEnableManaBar:GetChecked())
MageCandy_Options.show.manabarpercent = MageCandy_Convert(MCManaBarPercent:GetChecked())
MageCandy_Options.show.manabarnumber = MageCandy_Convert(MCManaBarNumber:GetChecked())
MageCandy_Options.show.manabarmax = MageCandy_Convert(MCManaBarMax:GetChecked())
MageCandy_Options.show.healthbarpercent = MageCandy_Convert(MCHealthBarPercent:GetChecked())
MageCandy_Options.show.healthbarnumber = MageCandy_Convert(MCHealthBarNumber:GetChecked())
MageCandy_Options.show.healthbarmax  = MageCandy_Convert(MCHealthBarMax:GetChecked())
MageCandy_Options.show.mcmanabarreserve = MageCandy_Convert(MCManaBarReserveShow:GetChecked())
MageCandy_Options.show.mcmanabarmarker1 = MageCandy_Convert(MCManaBarMarker1Show:GetChecked())
MageCandy_Options.show.mcmanabarmarker2 = MageCandy_Convert(MCManaBarMarker2Show:GetChecked())
MageCandy_Options.show.mcmanabarmarker3 = MageCandy_Convert(MCManaBarMarker3Show:GetChecked())
if tonumber(MCManaBarReserveInput:GetText()) == nil then
MCManaBarReserveInput:SetText(20)
end
if tonumber(MCManaBarMarker1Input:GetText()) == nil then
MCManaBarMarker1Input:SetText(90)
end
if tonumber(MCManaBarMarker2Input:GetText()) == nil then
MCManaBarMarker2Input:SetText(80)
end
if tonumber(MCManaBarMarker3Input:GetText()) == nil then
MCManaBarMarker3Input:SetText(50)
end
MageCandy_Options.input.calculatorspell = MCCalculatorSpellInput:GetText()
MageCandy_Options.input.mcmanabarreserve = tonumber(MCManaBarReserveInput:GetText())
MageCandy_Options.input.mcmanabarmarker1 = tonumber(MCManaBarMarker1Input:GetText())
MageCandy_Options.input.mcmanabarmarker2 = tonumber(MCManaBarMarker2Input:GetText())
MageCandy_Options.input.mcmanabarmarker3 = tonumber(MCManaBarMarker3Input:GetText()) 

if MCtimerbypass == 0 then
MageCandy_UpdateUI()
end
end

-- turns the nil value(unchecked box) into a number for storing in options table for later use
function MageCandy_Convert(arg)
if arg == nil then
return 0
else 
return arg
end
end

function MageCandy_Defaults()
MageCandy_Options = {
lockframes = 0,
enablespellstealmonitor = 1,
flipbuffs = 1,
enablepolymorphmonitor = 1,
enablemanabar = 1,
enablehealthbar = 1,
manabarwidth = 192,
healthbarheight = 12,
manabarheight = 24,
manabartextheight = 12,
healthbartextheight = 12,

input = {
calculatorspell = "Spellsteal",
mcmanabarreserve = 20,
mcmanabarmarker1 = 90,
mcmanabarmarker2 = 80,
mcmanabarmarker3 = 30,
},

scale = {
mctargetspellstealframe = 1,
mcfocusspellstealframe = 1,
mcstolenspellsframe = 1,
mcspellstealnotification = 1,
mcpolymorphmonitor = 1,
mcfingersoffrosttimer = 1,
mcbrainfreezetimer = 1,
mcfrozenorbtimer = 1,
mcicyveinstimer = 1,
mcarcanechargetimer = 1,
mcarcanemissilestimer = 1,
mcarcanepowertimer = 1,
mcpyroblasttimer = 1,
mcringoffrosttimer = 1,
mcmirrorimagetimer = 1,
mccauterizenotification = 1,
mclazymage = 1,
mcmanabar = 1,

},

show = {
mctargetspellstealframe = 1,
mcfocusspellstealframe = 1,
mcstolenspellsframe = 1,
mcspellstealmessage = 1,
mcspellstealnotification = 1,
mcspellstealmonitorbackground = 1,
mcspellstealmonitorheader = 1,
mcpolymorphmonitor = 1,
polymorphapplynotification = 0,
polymorphremovenotification = 1,
mcfingersoffrosttimer = 1,
mcbrainfreezetimer = 1,
mcfrozenorbtimer = 1,
mcicyveinstimer = 1,
mcarcanechargetimer = 1,
mcarcanemissilestimer = 1,
mcarcanepowertimer = 1,
mcpyroblasttimer = 1,
mcringoffrosttimer = 1,
mcmirrorimagetimer = 1,
lazymagenotfullcharges = 0,
polymorphannounce = 0,
mccauterizenotification = 1,
mclazymage = 1,
mcmanabarreserve = 1,
mcmanabarmarker1 = 1,
mcmanabarmarker2 = 1,
mcmanabarmarker3 = 0,
manabarpercent = 1,
manabarnumber = 0,
healthbarnumber = 1,
healthbarpercent = 0,
healthbarmax = 0,
manabarmax = 0,
},
}
end

function MageCandy_Check()
if not MageCandy_Options then
MageCandy_Defaults()
end
if not MageCandy_Options.input then
MageCandy_Options.input = {
mcmanabarreserve = 20,
mcmanabarmarker1 = 90,
mcmanabarmarker2 = 80,
mcmanabarmarker3 = 50,
calculatorspell = "Spellsteal",
}

MageCandy_Options.show.mcmanabarreserve = 1
MageCandy_Options.show.mcmanabarmarker1 = 1
MageCandy_Options.show.mcmanabarmarker2 = 1
MageCandy_Options.show.mcmanabarmarker3 = 0
MageCandy_Options.show.manabarpercent = 1
MageCandy_Options.show.manabarnumber = 0
MageCandy_Options.show.healthbarnumber = 1
MageCandy_Options.show.healthbarpercent = 0
MageCandy_Options.show.healthbarmax = 0
MageCandy_Options.show.manabarmax = 0
MageCandy_Options.scale.mcmanabar = 1
MageCandy_Options.enablemanabar = 1
MageCandy_Options.enablehealthbar = 1
MageCandy_Options.manabarwidth = 200
MageCandy_Options.healthbarheight = 12
MageCandy_Options.manabarheight = 24
MageCandy_Options.manabartextheight = 12
MageCandy_Options.healthbartextheight = 12
end
if not MageCandy_Options.show.mcfingersoffrosttimer then
MageCandy_Options.show.mcfingersoffrosttimer = 1
end
if not MageCandy_Options.show.mcbrainfreezetimer then
MageCandy_Options.show.mcbrainfreezetimer = 1
end
if not MageCandy_Options.show.mcfrozenorbtimer then
MageCandy_Options.show.mcfrozenorbtimer = 1
end
if not MageCandy_Options.show.mcicyveinstimer then
MageCandy_Options.show.mcicyveinstimer = 1
end
if not MageCandy_Options.show.mcarcanechargetimer then
MageCandy_Options.show.mcarcanechargetimer = 1
end
if not MageCandy_Options.show.mcarcanemissilestimer then
MageCandy_Options.show.mcarcanemissilestimer = 1
end
if not MageCandy_Options.show.mcarcanepowertimer then 
MageCandy_Options.show.mcarcanepowertimer = 1
end
if not MageCandy_Options.show.mcpyroblasttimer then
MageCandy_Options.show.mcpyroblasttimer = 1
end
if not MageCandy_Options.show.mcringoffrosttimer then
MageCandy_Options.show.mcringoffrosttimer = 1
end
if not MageCandy_Options.show.mcmirrorimagetimer then
MageCandy_Options.show.mcmirrorimagetimer = 1
end
if not MageCandy_Options.show.mccauterizenotification then
MageCandy_Options.show.mccauterizenotification = 1
end
if not MageCandy_Options.show.mclazymage then
MageCandy_Options.show.mclazymage = 1
end
if not MageCandy_Options.show.polymorphannounce then
MageCandy_Options.show.polymorphannounce = 0
end
if not MageCandy_Options.show.lazymagenotfullcharges then
MageCandy_Options.show.lazymagenotfullcharges = 0
end

if not MageCandy_Options.scale.mcfingersoffrosttimer then
MageCandy_Options.scale.mcfingersoffrosttimer = 1
end
if not MageCandy_Options.scale.mcbrainfreezetimer then
MageCandy_Options.scale.mcbrainfreezetimer = 1
end
if not MageCandy_Options.scale.mcfrozenorbtimer then
MageCandy_Options.scale.mcfrozenorbtimer = 1
end
if not MageCandy_Options.scale.mcicyveinstimer then
MageCandy_Options.scale.mcicyveinstimer = 1
end
if not MageCandy_Options.scale.mcarcanechargetimer then
MageCandy_Options.scale.mcarcanechargetimer = 1
end
if not MageCandy_Options.scale.mcarcanemissilestimer then
MageCandy_Options.scale.mcarcanemissilestimer = 1
end
if not MageCandy_Options.scale.mcarcanepowertimer then 
MageCandy_Options.scale.mcarcanepowertimer = 1
end
if not MageCandy_Options.scale.mcpyroblasttimer then
MageCandy_Options.scale.mcpyroblasttimer = 1
end
if not MageCandy_Options.scale.mcringoffrosttimer then
MageCandy_Options.scale.mcringoffrosttimer = 1
end
if not MageCandy_Options.scale.mcmirrorimagetimer then
MageCandy_Options.scale.mcmirrorimagetimer = 1
end
if not MageCandy_Options.scale.mccauterizenotification then
MageCandy_Options.scale.mccauterizenotification = 1
end
if not MageCandy_Options.scale.mclazymage then
MageCandy_Options.scale.mclazymage = 1
end

end

function MageCandy_MenuOnEnter(self)
for idx = 1, MenuButtons do
local frame = _G["MCOptionsFrameButtonsButton"..idx]
if frame.clicked ~= true then
_G["MCOptionsFrameButtonsButton"..idx.."Highlight"]:Hide()
end
end
_G[self:GetName().."Highlight"]:Show()
if self.clicked ~= true then
_G[self:GetName().."Highlight"]:SetTexture(0, 0.7, 1, 0.6)
else
_G[self:GetName().."Highlight"]:SetTexture(1, 1, 0, 0.6)
end
end

function MageCandy_MenuOnLeave(self)
for idx = 1, MenuButtons do
local frame = _G["MCOptionsFrameButtonsButton"..idx]
if frame.clicked ~= true then
_G["MCOptionsFrameButtonsButton"..idx.."Highlight"]:Hide()
end
end
end

function MageCandy_MenuOnClick(self)
for idx = 1, MenuButtons do
local frame = _G["MCOptionsFrameButtonsButton"..idx]
frame.clicked = false
_G["MCOptionsFrameButtonsButton"..idx.."Highlight"]:Hide()
_G["MCOptionsFrameButtonsButton"..idx.."Text"]:SetTextColor(1, 0.83, 0)
frame.parent:Hide()
end
self.clicked = true
_G[self:GetName().."Highlight"]:Show()
_G[self:GetName().."Highlight"]:SetTexture(1, 1, 0, 0.6)
_G[self:GetName().."Text"]:SetTextColor(1, 1, 1)
self.parent:Show()
end

end

